<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Ciudad extends Model
{
    protected $connection = 'mysql2';
    protected $table = 'ciudades';

    public function departamento(){
        return $this->belongsTo('App\Departamento', 'id_departamento');
    }

    function obtenerDivipo(){
        return str_pad($this->departamento->codigo_dane . "" . $this->codigo_dane, 8, "0", STR_PAD_RIGHT);
    }
}
