<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Comparendo;
use App\AcuerdoPago;
use App\ResolucionSimit;
use App\ComparendoSimit;
use App\ResolucionSimitError;
use App\ResolucionSimitErrorDetalle;
use App\RecaudoSimit;
use App\Transaccion;
use Carbon\Carbon;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\DB;

class Apropiaciones extends Command
{
  /**
   * The name and signature of the console command.
   *
   * @var string
   */

  protected $signature = 'apropiaciones';

  /**
   * The console command description.
   *
   * @var string
   */
  protected $description = 'Este comando distribuye los intereses, sistematizacion y honorarios.';

  /**
   * Create a new command instance.
   *
   * @return void
   */
  public function __construct()
  {
      parent::__construct();
  }

  /**
   * Execute the console command.
   *
   * @return mixed
   */
  public function handle()
  {
 
        $chunks = Transaccion::
        where('tipo_pago','Apropiacion')->get()->chunk(100);
        $c = 0;
        foreach($chunks as $vehiculos){
            foreach($vehiculos as $vehiculo){

        $factura = json_decode($vehiculo->factura, true);
        $comparendosId = $factura['comparendos'];
                $c++;
				$this->line("============================================================");
                $this->line("{$c}. CONSULTANDO ".$vehiculo->id);
                
                        $compare = Comparendo::whereIn('id',$comparendosId)->first();
 						$items=Transaccion::where('id', $vehiculo->id)->get();
						$i=1;
						//$compare->pagos_apropiacion=0;
						//$compare->sistematizacion_apropiacion=0;
						//$compare->honorario_apropiacion=0;
						//$compare->interes_apropiacion=0;
						//$compare->capital_apropiacion=0;
						
                        foreach ($items as $item) {

						//$factura = json_decode($item->factura, true);
					    $compare->pagos_apropiacion=$compare->pagos_apropiacion+$item->valor;

					    $valor=$item->valor;
                        $hono=0;
                        $siste=0;
                        $inte=0;
                        $saldos=$compare->sistematizacion-$compare->sistematizacion_apropiacion;
									if($valor >= $saldos)
									{     
										$siste=$saldos;
									}else
									{
                                        $siste=$valor;
									} 
									$factura['sistematizacion']=$siste;  
									$compare->sistematizacion_apropiacion=$compare->sistematizacion_apropiacion+$siste;
									$valor=$valor-$siste;                
									//if($vehiculo->honorarios>0)
									//{
						$saldoh=$compare->honorarios-$compare->honorario_apropiacion;   
						 $cal_hono=($valor)*0.15;
									if($saldoh  >= $cal_hono)
									{ 
										$hono=$cal_hono; 
									}else
									{
                                        $hono=$saldoh;
									}						 
									//	$vehiculo->saldoh=$vehiculo->honorarios-$hono;

									//}
									if($valor >= $hono)
									{ 
										//$hono=$cal_hono; 
									}else
									{
                                        $hono=$valor;
									}
									$valor=$valor-$hono;
                                    $factura['honorarios']=$hono;
						            $compare->honorario_apropiacion=$compare->honorario_apropiacion+$hono;									
	//$compare->interes_apropiacion=$compare->interes_apropiacion+$factura['intereses'];	
					$saldoi=$compare->intereses-$compare->interes_apropiacion;				
									
									if($valor >= $saldoi)
									{
										$inte=$saldoi;
									}else
									{
										$inte=$valor;
										//$saldoi=$saldoi-$valor;	
									}

                    $valor=$valor-$inte;
                    $factura['intereses']=$inte;

					$compare->interes_apropiacion=$compare->interes_apropiacion+$inte;	
					$compare->capital_apropiacion=$compare->capital_apropiacion+$valor;	
									//$vehiculo->saldoi=$saldoi;
									//$vehiculo->saldos=0;
									
									$item->factura = json_encode($factura);
									$this->line("{$c}. intereses {$factura['intereses']}");
									$this->line("{$c}. honorarios {$factura['honorarios']}");
									$this->line("{$c}. sistematizacion {$factura['sistematizacion']}");
							
							$item->save(); 
							$i=$i+1;
							$compare->save(); 
                        }
                        
											
						$vehiculo->save();               
   
			}
		}
					
  }//fin handle
  
  
  
}
