<?php

namespace App\Console\Commands;

use App\RecaudoSimit;
use Illuminate\Console\Command;
use League\Csv\Reader;
use App\Ciudadano;
use App\Comparendo;
use App\Vehiculo;
use App\Transaccion;
use App\Descuento;
use App\Recibo;
use App\ComparendoCurso;
use Carbon\Carbon;

class CargarCursosReprocesar extends Command
{

  /**
   * The name and signature of the console command.
   *
   * @var string
   */
  //php artisan simit:cursosreprocesar pagos20228000rec externo 0
  protected $signature = 'simit:cursosreprocesar';

  /**
   * The console command description.
   *
   * @var string
   */
  protected $description = 'Cargar Cursos';

  /**
   * Create a new command instance.
   *
   * @return void
   */
  public function __construct()
  {
      parent::__construct();
  }

  /**
   * Execute the console command.
   *
   * @return mixed
   */
  public function handle()
  {
    //$archivo = \Storage::path("resoluciones_simit.txt");
    //$csv = Reader::createFromPath($archivo, 'r');
    /*$filename = $this->argument('filename') . '.txt';
    $tipoArchivo = $this->argument('origen');

    $csv = [];
    if($this->argument('ruta') == '0'){
      $csv = Reader::createFromPath(public_path('uploads/' . $filename), 'r');
    }else{
      $csv = Reader::createFromPath($this->argument('ruta') . $filename, 'r');
    }*/

    $c = 1;
    $csv=ComparendoCurso::where('procesar', "!=", 2)->where('procesar', "!=", 3)->get();

    foreach ($csv as $record) {

        $record->COL3=trim($record->COL3);
        $record->COL4=trim($record->COL4);
        $record->COL7=trim($record->COL7);

        $procesar=$record->procesar;
        $items=Comparendo::where('numero',  trim($record->COL4))->get();
            foreach ($items as $item) {
              $item->fecha_curso=substr(trim($record->COL7),6,4)."-"
              .substr($record,3,2)."-".substr(trim($record->COL7),0,2);
              $codigoLetraInfraccion = substr(trim($item->infracciones), 0, 1);
              $procesar=1;
              if($codigoLetraInfraccion=="H")
              {
                 $item->fecha_pago=$item->fecha_curso;
                 $procesar=2;
              }
              if($item->pagos>0)
              {
                 $item->fecha_pago=$item->fecha_curso;
                 $procesar=3;
              }              
              $item->save();

          //ojo aca una mejora, se calcula el descuento teniendo en cuenta la fecha del pago
               $des=Descuento::where('id_comparendo',  $item->id)->get();
               foreach ($des as $de) {
                  $de->confirmado=1;
                  $de->save();
               }

            }
        $record->procesar = $procesar;
        $record->save();
   
          $this->line("{$c}. REPORCESANDO CURSO {$record[0]}...".trim($record->COL3).", ".trim($record->COL4).", ".trim($record->COL7));
 
      $c++;

    }





  }
}
