<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;
use App\PqrPagina;
use App\Pqr;


class procesarReconocer extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'procesar:reconocer {comparendo}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Agregar reconocer';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $c = 0;


           $NumCompa = $this->argument('comparendo');
          $campara="like";
           if($NumCompa=="0")
           {
              $campara="<>";
           }


            $pqrs=Pqr::all();
            
            foreach($pqrs as $pqr){
                $c++;
                $campana=0;
$array = [];
            //$compa_vivo->error_pagina = "Cargando a la pagina ...".$compa_vivo->numero;
            //$compa_vivo->save();
            $this->line("Cargando reconocer ..."); 
            //envio de codigo de verificacion de desembargo
            array_push($array, (object) array(
              'cedula' => $pqr->cedula,
              'nombre' => $pqr->nombre,
              'email1' => $pqr->email,
              'email2' => '0',
              'direccion1' => $pqr->direccion,   
              'direccion2' => '0',
              'origen' => '2',
              'tipopqr' => $pqr->tp_doc,   
              'fecha' => $pqr->fecha_recepcion,
              'ciudad1' => $pqr->ciudad,
              'ciudad2' => '0',
              'transito' => env('TRANSITO')
            ));
          
            $this->line("Paso1");           
          if(count($array) > 0){
            $data2 = array('data' => $array);
            $this->line("Paso2".json_encode($data2)); 
            $curl = curl_init();
            //$this->line("2- {$compa_vivo->numero} ".json_encode($data2));      
            curl_setopt_array($curl, array(
CURLOPT_URL => "http://104.237.150.61/notificacionesweb/public/api/uploadReconocer",
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => "",
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 30000,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => "POST",
              CURLOPT_POSTFIELDS => json_encode($data2),
              CURLOPT_HTTPHEADER => array(
                "accept: */*",
                "accept-language: en-US,en;q=0.8",
                "content-type: application/json",
              ),
            ));

            $response = curl_exec($curl);
            $err = curl_error($curl);

            curl_close($curl);

            if ($err) {
              //echo "cURL Error #:" . $err;
              $this->line("cURL Error #:" . $err);  
              $pqr->reconocer = 2;
              $pqr->save();
            } else {
              $dat = (string) $response;
              $this->line($dat); 
                          $pqr->reconocer= 3;
                          $pqr->save();
              $json = json_decode($dat, true);
              if ($json){
                if ($json['access'] == "ok"){
                         $this->line("ok"); 
                          $pqr->reconocer = 1;
                          $pqr->save();
                }
              }
            }
          }

        $this->line("Reconocer:". $pqr->id);                
        }
    }
}
