<?php

namespace App\Exports;

use App\ComparendoVivo;
use App\EmpresaPlaca;
use App\Bitacora;
use App\Empresas;
use App\Organismo;
use App\User;
use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Carbon\Carbon;

class BitacoraExport implements FromCollection,WithHeadings
{
    /**
    * @return \Illuminate\Support\Collection
    */
    public function headings(): array
    {

        return [
     'No', 'Fecha del reporte',
     'Persona que reporta', 'Documento de identidad Infractor',
     'Secretaría Infraccion', 'Municipio',
     'Descripcion del caso',
     'Datos del caso',
     'Estado',
     'Fecha solucion',
     'Observaciones'
        ];
    }

                          


    public function collection()
    {


$organismo = \App\Organismo::first();
$fe=Carbon::now()->format('Y-m-d');

        $movimientos = Bitacora::orderBy('id')->get();   



        $array = [];
        $collection = null;
        $i=0;



foreach($movimientos as $movimiento) {

$i=$i+1;      



try
{   

            array_push($array, (object)array(
                'numero' => $i,
                'fecha' => $fe,
                'reporta' => $organismo->secretario_nombre,
                'identificacion' => $movimiento->cedula,
                'secretaria' =>  $organismo->secretaria_nombre,
                'municipio' => $movimiento->municipio,
                'descripcion' => $movimiento->descripcion,
                'datos' => "Nombre infractor: ".$movimiento->nombre.
                ",\n No de comparendo: ".$movimiento->comparendo.",\n Fecha de comparendo: ".$movimiento->fecha_infraccion,
                'estado' => '',
                'fechasol' => '',
                'observaciones' => ''
            ));

   /* $sheet->row($i, [
        $movimiento->placa,"N",
        $empre->nit, $modalidad,$organismo->codigo,$clase, $modalidad,$organismo->codigo
        , "2020000000".$movimiento->id, $fecha_expedicion, $fecha_inicio, $fecha_vencimiento,"1"," "
    ]); */
}catch (\Exception $e) {
                Session::put('error', 'Se Produjo un error Linea: '. $i . ", ". $e->getMessage());
                return redirect()->route('reporte.cargaformato');
            }
//}


}//end ifor         

        $collection = new Collection($array);

        return $collection;
    }
}
