<?php

namespace App\Exports;

use App\ComparendoVivo;
use App\EmpresaPlaca;
use App\Empresas;
use App\Organismo;
use App\User;
use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Carbon\Carbon;

class Formato02Export implements FromCollection,WithHeadings
{
    /**
    * @return \Illuminate\Support\Collection
    */
    public function headings(): array
    {

        return [
     'Tipo de documento', 'Numero de NIT',
     'Tipo de sociedad', 'Nombre de la razon social',
     'Sigla de la empresa', 'Tipo de entidad',
     'Telfono contacto'
        ];
    }
    public function collection()
    {


$organismo = \App\Organismo::first();
$fe=Carbon::now()->format('Ymd');

        $movimientos = Empresas::orderBy('id')->get();   



        $array = [];
        $collection = null;
        $i=0;



foreach($movimientos as $movimiento) {

$i=$i+1;      



try
{   

            array_push($array, (object)array(
                'tipod' => "N",
                'nit' => $movimiento->nit,
                'tipos' => $movimiento->tipo_sociedad,
                'razonsocial' => $movimiento->nombre,
                'siglas' =>  $movimiento->siglas,
                'tipoentidad' => $movimiento->tipo_entidad,
                'telefono' => $movimiento->telefono
            ));

   /* $sheet->row($i, [
        $movimiento->placa,"N",
        $empre->nit, $modalidad,$organismo->codigo,$clase, $modalidad,$organismo->codigo
        , "2020000000".$movimiento->id, $fecha_expedicion, $fecha_inicio, $fecha_vencimiento,"1"," "
    ]); */
}catch (\Exception $e) {
                Session::put('error', 'Se Produjo un error Linea: '. $i . ", ". $e->getMessage());
                return redirect()->route('reporte.cargaformato');
            }
//}


}//end ifor         

        $collection = new Collection($array);

        return $collection;
    }
}
