<?php

namespace App\Exports;

use App\ComparendoVivo;
use App\EmpresaPlaca;
use App\Empresas;
use App\Organismo;
use App\User;
use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Carbon\Carbon;

class Formato03Export implements FromCollection,WithHeadings
{
    /**
    * @return \Illuminate\Support\Collection
    */
    public function headings(): array
    {

        return [
     'Tipo de documento', 'Numero de NIT',
     'Codigo divipo', 'Sucursal',
     'Direccion', 'Telefono',
     'Fax',
     'Correo Electronico'
        ];
    }

    public function collection()
    {


$organismo = \App\Organismo::first();
$fe=Carbon::now()->format('Ymd');

        //$nombre="RNET_".$organismo->codigo."_TOP_".$fe;



        $movimientos = Empresas::orderBy('id')->get();   



        $array = [];
        $collection = null;
        $i=0;


foreach($movimientos as $movimiento) {

$i=$i+1;      
 //       $empre = Empresas::where('id',$movimiento->id_empresa)->first();   

/*$modalidad="";
if($movimiento->tipo_servicio=="TAXI")
{
  $modalidad="6";
}        
if($movimiento->tipo_servicio=="COLECTIVO")
{
  $modalidad="7";
} 
if($movimiento->tipo_servicio=="MIXTO")
{
  $modalidad="7";
} 


$clase="";
if($movimiento->clase_vehiculo=="AUTOMOVIL")
{
  $clase="1";
}      
if($movimiento->clase_vehiculo=="BUS")
{
  $clase="2";
}   
if($movimiento->clase_vehiculo=="BUSETA")
{
  $clase="3";
} 
if($movimiento->clase_vehiculo=="CAMIONETA")
{
  $clase="5";
}        
if($movimiento->clase_vehiculo=="CAMPERO")
{
  $clase="6";
} 
if($movimiento->clase_vehiculo=="MICROBUS")
{
  $clase="7";
} 
if($movimiento->clase_vehiculo=="MOTOCARRO")
{
  $clase="14";
} 

$fecha_expedicion = str_replace('-','',$movimiento->fecha_expedicion);
$fecha_inicio = str_replace('-','',$movimiento->fecha_inicio);
$fecha_vencimiento = str_replace('-','',$movimiento->fecha_vencimiento);*/

try
{   

            array_push($array, (object)array(
                'tipod' => "N",
                'nit' => $movimiento->nit,
                'municipio' => $organismo->codigo,
                'sucursal' => '0',
                'direccion' => $movimiento->direccion,
                'telefono' => $movimiento->telefono,
                'fax' => '',
                'email' => $movimiento->email
            ));

   /* $sheet->row($i, [
        $movimiento->placa,"N",
        $empre->nit, $modalidad,$organismo->codigo,$clase, $modalidad,$organismo->codigo
        , "2020000000".$movimiento->id, $fecha_expedicion, $fecha_inicio, $fecha_vencimiento,"1"," "
    ]); */
}catch (\Exception $e) {
                Session::put('error', 'Se Produjo un error Linea: '. $i . ", ". $e->getMessage());
                return redirect()->route('reporte.cargaformato');
            }
//}


}//end ifor         

        $collection = new Collection($array);

        return $collection;
    }
}
