<?php

namespace App\Exports;

use App\ComparendoVivo;
use App\EmpresaPlaca;
use App\RecaudoSimit;
use App\Tipo;
use App\Empresas;
use App\Organismo;
use App\User;
use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Carbon\Carbon;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use DB;
use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithTitle;

class RecaudoExternoExport implements FromView, ShouldAutoSize, WithStyles //, WithTitle
{

    private $fi,$ff,$tipo;

    public function __construct($fi,$ff,$tipo)
    {
        $this->fi = $fi;
        $this->ff = $ff;
        $this->tipo = $tipo;
    }


    public function styles(Worksheet $sheet)
    {
/*
       $sheet->getStyle('A3:K3')->getAlignment()->setHorizontal('justify');
       $sheet->getStyle('A3:K3')->getAlignment()->setVertical('justify');
*/
    }

    public function view(): View
    {


    $fi = $this->fi ; //$this->argument('id_comparendo');
    $ff = $this->ff ;
    $tipo = $this->tipo ;

        $tipo = null;
        $fecha = null;
        $fechaArray = [];
        $movimientos = new Collection();
        $totalMovimientos = null;
        $totalIva = 0;
        $totalIntereses = 0;
        $totalImpuestos = 0;
        $totalHonorarios = 0;
        $totalSistematizacion = 0;
        $totalDescuentos = 0;
        //Cuentas
        $cuentas = [];
 $cade="Vacio";


              $cade="Fi:".$fi.", Ff:".$ff;
                $fe="CONCAT(substr(c2,7,4),'-',substr(c2,4,2),'-',substr(c2,1,2))";
                $movimientos =  RecaudoSimit::where(DB::raw($fe), '>=', $fi)
                    ->where(DB::raw($fe), '<=', $ff )
                    ->where('fuente', 'externo')
                    ->orderBy(DB::raw($fe))
                    ->get();



            return view('reportes.recaudoExternoExcel', [
            'movimientos' => $movimientos,
            'cade' => $cade,
            'tipo' => $tipo,
            'export' => '1'
        ]);

    

    }

}
