<?php

namespace App\Http\Controllers;

use App\Otrasrel;
use App\RespDerPet;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

use Illuminate\Support\Facades\Storage;
use Illuminate\Http\File as FileFtp;

class UploadDocsController extends Controller
{
    public function index()
    {
        if (Session::has('isLogged')) {
            if (Session::get('isLogged') == 1) {
                $id = Session::get('adminId');
                $name = Session::get('adminName');

                return view('admin.upload', ['id' => $id, 'name' => $name]);
            } else {
                return view('admin.index',
                    [
                        'id' => '',
                        'info' => 'Debe Iniciar Sesion.',
                    ]
                );
            }
        }else{
            return view('admin.index',
                [
                    'id' => '',
                    'info' => 'Debe Iniciar Sesion.',
                ]
            );
        }
    }

    public function upload(Request $request)
    {

        if (!is_null($request->file) || !empty($request->file)) {

                $file2 = $request->file;
                $fecha = Carbon::now();


                        $destinationPath = '/var/www/html/ofertas/public/docs';
                        $fileData = $file2->getclientoriginalname();
                        $file2->move($destinationPath, $fileData);

        $destinationPath = public_path('docs');
        $archivo = $fileData;
        $path2 = Storage::disk('sftp')->putFileAs('/datos/transferencias',
            new FileFtp($destinationPath.'/'.$archivo) , $archivo);
         echo($destinationPath.'/'.$archivo);

                        try {
 
                        } catch (\Exception $e) {
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Se Produjo un error al subir archivo.']);*/
                        }

                    //}
        return "{status: '". $destinationPath.$fileData ." ok'}";

                /*} else {
                    return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Archivo No Valido.']);
                }*/
            } else {
               return "{status: 'error'}";
            }
        //}
    }

public function uploadtercero(Request $request)
    {

        if (!is_null($request->file) || !empty($request->file)) {

                $file2 = $request->file;
                $fecha = Carbon::now();


                        $destinationPath = '/var/www/html/ofertas/public/docs';
                        $fileData = $file2->getclientoriginalname();
                        $file2->move($destinationPath, $fileData);

        $destinationPath = public_path('docs');
        $archivo = $fileData;
        $path2 = Storage::disk('sftp')->putFileAs('/datos/transferencias/terceros',
            new FileFtp($destinationPath.'/'.$archivo) , $archivo);
         echo($destinationPath.'/'.$archivo);


                        try {

                        } catch (\Exception $e) {
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Se Produjo un error al subir archivo.']);*/
                        }

                    //}
        return "{status: '". $destinationPath.$fileData ." ok'}";

                /*} else {
                    return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Archivo No Valido.']);
                }*/
            } else {
               return "{status: 'error'}";
            }
        //}
    }

public function uploadterceromega(Request $request)
    {

        if (!is_null($request->file) || !empty($request->file)) {

                $file2 = $request->file;
                $fecha = Carbon::now();


                        $destinationPath = '/var/www/html/ofertas/public/docs2';
                        $fileData = $file2->getclientoriginalname();
                        $file2->move($destinationPath, $fileData);

        $destinationPath = public_path('docs2');
        $archivo = $fileData;
        $path2 = Storage::disk('sftp2')->putFileAs('/datos/transferencias/terceros',
            new FileFtp($destinationPath.'/'.$archivo) , $archivo);
         echo($destinationPath.'/'.$archivo);


                        try {

                        } catch (\Exception $e) {
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Se Produjo un error al subir archivo.']);*/
                        }

                    //}
        return "{status: '". $destinationPath.$fileData ." ok'}";

                /*} else {
                    return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Archivo No Valido.']);
                }*/
            } else {
               return "{status: 'error'}";
            }
        //}
    }


public function uploadterceromemphis(Request $request)
    {

        if (!is_null($request->file) || !empty($request->file)) {

                $file2 = $request->file;
                $fecha = Carbon::now();


                        $destinationPath = '/var/www/html/ofertas/public/docs3';
                        $fileData = $file2->getclientoriginalname();
                        $file2->move($destinationPath, $fileData);

        $destinationPath = public_path('docs3');
        $archivo = $fileData;
        $path2 = Storage::disk('sftp3')->putFileAs('/datos/transferencias/terceros',
            new FileFtp($destinationPath.'/'.$archivo) , $archivo);
         echo($destinationPath.'/'.$archivo);


                        try {

                        } catch (\Exception $e) {
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Se Produjo un error al subir archivo.']);*/
                        }

                    //}
        return "{status: '". $destinationPath.$fileData ." ok'}";

                /*} else {
                    return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Archivo No Valido.']);
                }*/
            } else {
               return "{status: 'error'}";
            }
        //}
    }


public function uploadtercerogenfar(Request $request)
    {

        if (!is_null($request->file) || !empty($request->file)) {

                $file2 = $request->file;
                $fecha = Carbon::now();


                        $destinationPath = '/var/www/html/ofertas/public/docs4';
                        $fileData = $file2->getclientoriginalname();
                        $file2->move($destinationPath, $fileData);

        $destinationPath = public_path('docs4');
        $archivo = $fileData;
        $path2 = Storage::disk('sftp4')->putFileAs('/datos/transferencias/terceros',
            new FileFtp($destinationPath.'/'.$archivo) , $archivo);
         echo($destinationPath.'/'.$archivo);


                        try {

                        } catch (\Exception $e) {
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Se Produjo un error al subir archivo.']);*/
                        }

                    //}
        return "{status: '". $destinationPath.$fileData ." ok'}";

                /*} else {
                    return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Archivo No Valido.']);
                }*/
            } else {
               return "{status: 'error'}";
            }
        //}
    }


public function download(Request $request)
    {

                $file2 = $request->file;
                $fecha = Carbon::now();

                $equipos_arr = array();
                $a=0;
                $contents = Storage::disk('sftp')->allFiles('datos/transferencias/procesados');
                foreach ($contents as $content) {
                  // echo(Storage::disk('sftp')->get($content) );
                    /*$enco=strpos($content, "Reporte");
                    if ($enco !== false) 
                    {*/
                        $equipos_arr[$a] = array(
                            'id' =>$a,
                            'nombre'=> $content,
                            'descripcion'=>Storage::disk('sftp')->get($content)
                        );
                        $a++;   
                    //}                 
                }

            //return "{status: '". $destinationPath.$fileData ." ok'}";


            return response()->json(
                [
                    'res'=>true,
                    "data"=>$equipos_arr
                ], 200);



    }

public function downloadmega(Request $request)
    {

                $file2 = $request->file;
                $fecha = Carbon::now();

                $equipos_arr = array();
                $a=0;
                $contents = Storage::disk('sftp2')->allFiles('datos/transferencias/procesados');
                foreach ($contents as $content) {
                  // echo(Storage::disk('sftp')->get($content) );
                    /*$enco=strpos($content, "Reporte");
                    if ($enco !== false) 
                    {*/
                        $equipos_arr[$a] = array(
                            'id' =>$a,
                            'nombre'=> $content,
                            'descripcion'=>Storage::disk('sftp2')->get($content)
                        );
                        $a++;   
                    //}                
                }
                return response()->json(
                [
                    'res'=>true,
                    "data"=>$equipos_arr
                ], 200);
    }

public function downloadmemphis(Request $request)
    {

                $file2 = $request->file;
                $fecha = Carbon::now();

                $equipos_arr = array();
                $a=0;
                $contents = Storage::disk('sftp3')->allFiles('datos/transferencias/procesados');
                foreach ($contents as $content) {
                  // echo(Storage::disk('sftp')->get($content) );
                    /*$enco=strpos($content, "Reporte");
                    if ($enco !== false) 
                    {*/
                        $equipos_arr[$a] = array(
                            'id' =>$a,
                            'nombre'=> $content,
                            'descripcion'=>Storage::disk('sftp3')->get($content)
                        );
                        $a++;   
                    //}                
                }
                return response()->json(
                [
                    'res'=>true,
                    "data"=>$equipos_arr
                ], 200);
    }
    

public function downloadgenfar(Request $request)
    {

                $file2 = $request->file;
                $fecha = Carbon::now();

                $equipos_arr = array();
                $a=0;
                $contents = Storage::disk('sftp4')->allFiles('datos/transferencias/procesados');
                foreach ($contents as $content) {
                  // echo(Storage::disk('sftp')->get($content) );
                    /*$enco=strpos($content, "Reporte");
                    if ($enco !== false) 
                    {*/
                        $equipos_arr[$a] = array(
                            'id' =>$a,
                            'nombre'=> $content,
                            'descripcion'=>Storage::disk('sftp4')->get($content)
                        );
                        $a++;   
                    //}                
                }
                return response()->json(
                [
                    'res'=>true,
                    "data"=>$equipos_arr
                ], 200);
    }


public function downloadinv(Request $request)
    {

                $file2 = $request->file;
                $fecha = Carbon::now();

                $equipos_arr = array();
                $a=0;
                $contents = Storage::disk('sftp')->allFiles('datos/transferencias/inventario');
                foreach ($contents as $content) {
                  // echo(Storage::disk('sftp')->get($content) );
                    /*$enco=strpos($content, "Reporte");
                    if ($enco !== false) 
                    {*/
                        $equipos_arr[$a] = array(
                            'id' =>$a,
                            'nombre'=> $content,
                            'descripcion'=>Storage::disk('sftp')->get($content)
                        );
                        $a++;   
                    //}                 
                }

            //return "{status: '". $destinationPath.$fileData ." ok'}";


            return response()->json(
                [
                    'res'=>true,
                    "data"=>$equipos_arr
                ], 200);



    }

public function downloadinvmega(Request $request)
    {

                $file2 = $request->file;
                $fecha = Carbon::now();

                $equipos_arr = array();
                $a=0;
                $contents = Storage::disk('sftp2')->allFiles('datos/transferencias/inventario');
                foreach ($contents as $content) {
                  // echo(Storage::disk('sftp')->get($content) );
                    /*$enco=strpos($content, "Reporte");
                    if ($enco !== false) 
                    {*/
                        $equipos_arr[$a] = array(
                            'id' =>$a,
                            'nombre'=> $content,
                            'descripcion'=>Storage::disk('sftp2')->get($content)
                        );
                        $a++;   
                    //}                 
                }

            //return "{status: '". $destinationPath.$fileData ." ok'}";


            return response()->json(
                [
                    'res'=>true,
                    "data"=>$equipos_arr
                ], 200);



    }


public function downloadinvmemphis(Request $request)
    {

                $file2 = $request->file;
                $fecha = Carbon::now();

                $equipos_arr = array();
                $a=0;
                $contents = Storage::disk('sftp3')->allFiles('datos/transferencias/inventario');
                foreach ($contents as $content) {
                  // echo(Storage::disk('sftp')->get($content) );
                    /*$enco=strpos($content, "Reporte");
                    if ($enco !== false) 
                    {*/
                        $equipos_arr[$a] = array(
                            'id' =>$a,
                            'nombre'=> $content,
                            'descripcion'=>Storage::disk('sftp3')->get($content)
                        );
                        $a++;   
                    //}                 
                }

            //return "{status: '". $destinationPath.$fileData ." ok'}";


            return response()->json(
                [
                    'res'=>true,
                    "data"=>$equipos_arr
                ], 200);



    }


public function downloadinvgenfar(Request $request)
    {

                $file2 = $request->file;
                $fecha = Carbon::now();

                $equipos_arr = array();
                $a=0;
                $contents = Storage::disk('sftp4')->allFiles('datos/transferencias/inventario');
                foreach ($contents as $content) {
                  // echo(Storage::disk('sftp')->get($content) );
                    /*$enco=strpos($content, "Reporte");
                    if ($enco !== false) 
                    {*/
                        $equipos_arr[$a] = array(
                            'id' =>$a,
                            'nombre'=> $content,
                            'descripcion'=>Storage::disk('sftp4')->get($content)
                        );
                        $a++;   
                    //}                 
                }

            //return "{status: '". $destinationPath.$fileData ." ok'}";


            return response()->json(
                [
                    'res'=>true,
                    "data"=>$equipos_arr
                ], 200);



    }


    public function uploadmega(Request $request)
    {
        //if (Session::has('isLogged')) {
            //if (Session::get('isLogged') == 1) {
                //$id = Session::get('adminId');
                //$name = Session::get('adminName');
if (!is_null($request->file) || !empty($request->file)) {

                $file2 = $request->file;
                $fecha = Carbon::now();

                //if ($file->getClientOriginalExtension() == "pdf") {
                    //if ($request->tipo == 1) {

                        $destinationPath = '/var/www/html/ofertas/public/docs2';
                        $fileData = $file2->getclientoriginalname();
                        $file2->move($destinationPath, $fileData);

        $destinationPath = public_path('docs2');
        $archivo = $fileData;
        $path2 = Storage::disk('sftp2')->putFileAs('/datos/transferencias',
            new FileFtp($destinationPath.'/'.$archivo) , $archivo);
         echo($destinationPath.'/'.$archivo);

                        //$respderpet = new RespDerPet();
                        //$respderpet->cedula = $request->cedula;
                        //$respderpet->nombre = $request->name;
                        //$respderpet->file_name = $fileData;
                        //$respderpet->fecha_notificacion = $request->fecha;
                        try {
                            //$respderpet->save();
                            //$file->move($destinationPath, $fileData);
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'success' => 'Archivo subido correctamente.']);*/
                        } catch (\Exception $e) {
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Se Produjo un error al subir archivo.']);*/
                        }

                    //}
return "{status: '". $destinationPath.$fileData ." ok'}";

                /*} else {
                    return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Archivo No Valido.']);
                }*/
            } else {
               return "{status: 'error'}";
            }
        //}
    }


    public function uploadmemphis(Request $request)
    {
        //if (Session::has('isLogged')) {
            //if (Session::get('isLogged') == 1) {
                //$id = Session::get('adminId');
                //$name = Session::get('adminName');
if (!is_null($request->file) || !empty($request->file)) {

                $file2 = $request->file;
                $fecha = Carbon::now();

                //if ($file->getClientOriginalExtension() == "pdf") {
                    //if ($request->tipo == 1) {

                        $destinationPath = '/var/www/html/ofertas/public/docs3';
                        $fileData = $file2->getclientoriginalname();
                        $file2->move($destinationPath, $fileData);

        $destinationPath = public_path('docs3');
        $archivo = $fileData;
        $path2 = Storage::disk('sftp3')->putFileAs('/datos/transferencias',
            new FileFtp($destinationPath.'/'.$archivo) , $archivo);
         echo($destinationPath.'/'.$archivo);

                        //$respderpet = new RespDerPet();
                        //$respderpet->cedula = $request->cedula;
                        //$respderpet->nombre = $request->name;
                        //$respderpet->file_name = $fileData;
                        //$respderpet->fecha_notificacion = $request->fecha;
                        try {
                            //$respderpet->save();
                            //$file->move($destinationPath, $fileData);
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'success' => 'Archivo subido correctamente.']);*/
                        } catch (\Exception $e) {
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Se Produjo un error al subir archivo.']);*/
                        }

                    //}
return "{status: '". $destinationPath.$fileData ." ok'}";

                /*} else {
                    return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Archivo No Valido.']);
                }*/
            } else {
               return "{status: 'error'}";
            }
        //}
    }


public function uploadgenfar(Request $request)
    {
        //if (Session::has('isLogged')) {
            //if (Session::get('isLogged') == 1) {
                //$id = Session::get('adminId');
                //$name = Session::get('adminName');
if (!is_null($request->file) || !empty($request->file)) {

                $file2 = $request->file;
                $fecha = Carbon::now();

                //if ($file->getClientOriginalExtension() == "pdf") {
                    //if ($request->tipo == 1) {

                        $destinationPath = '/var/www/html/ofertas/public/docs4';
                        $fileData = $file2->getclientoriginalname();
                        $file2->move($destinationPath, $fileData);

        $destinationPath = public_path('docs4');
        $archivo = $fileData;
        $path2 = Storage::disk('sftp4')->putFileAs('/datos/transferencias',
            new FileFtp($destinationPath.'/'.$archivo) , $archivo);
         echo($destinationPath.'/'.$archivo);

                        //$respderpet = new RespDerPet();
                        //$respderpet->cedula = $request->cedula;
                        //$respderpet->nombre = $request->name;
                        //$respderpet->file_name = $fileData;
                        //$respderpet->fecha_notificacion = $request->fecha;
                        try {
                            //$respderpet->save();
                            //$file->move($destinationPath, $fileData);
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'success' => 'Archivo subido correctamente.']);*/
                        } catch (\Exception $e) {
                            /*return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Se Produjo un error al subir archivo.']);*/
                        }

                    //}
return "{status: '". $destinationPath.$fileData ." ok'}";

                /*} else {
                    return view('admin.upload', ['id' => $id, 'name' => $name, 'error' => 'Archivo No Valido.']);
                }*/
            } else {
               return "{status: 'error'}";
            }
        //}
    }



}
