<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Organismo extends Model
{
    protected $connection = 'mysql2';
    protected $table = 'organismos';

    function licencia(){
        return $this->belongsTo('App\Licencia', 'id_licencia');
    }

    function usuarios(){
        return $this->hasMany('App\User', 'id_organismo');
    }

    function ciudad(){
        return $this->belongsTo('App\Ciudad', 'id_ciudad');
    }

    function esPadre(){
        if(!$this->id_padre){
            return true;
        }

        return false;
    }
}
