<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateofertasphsTable extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ofertasphs', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('ID_OFERTA_PH');
			$table->string('NUMERO_PREDIAL_ANTIGUO');
			$table->string('NUMERO_PREDIAL_NUEVO');
			$table->string('CODIGO_HOMOLOGADO');
			$table->string('MATRICULA_INMOBILIARIA');
			$table->string('TIPO_OFERTA');
			$table->string('DEPARTAMENTO');
			$table->string('MUNICIPIO');
			$table->string('NOMBRE_BARRIO');
			$table->string('ESTRATO');
			$table->string('DIRECCION');
			$table->string('VALOR_ARRIENDO');
			$table->string('VALOR_ADMINISTRACION');
			$table->string('VALOR_OFERTA_VENTA');
			$table->string('PORCENTAJE_ DE_NEGOCIACION');
			$table->string('VALOR_OFERTA_NEGOCIADO');
			$table->string('ANIO_CONSTRUCCION');
			$table->string('ALTURA_DIFICIO');
			$table->string('No_PISO');
			$table->string('AREA_CONSTRUIDA_M2');
			$table->string('AREA_PRIVADA_M2');
			$table->string('No_GARAJES');
			$table->string('No_DEPOSITOS');
			$table->string('VR_TOTAL_TERRAZA_BALCON_PATIO');
			$table->string('VALOR_GARAJES');
			$table->string('VALOR_DEPOSITOS');
			$table->string('OBSERVACIONES');
			$table->string('LATITUD');
			$table->string('LONGITUD');
			$table->string('CONSERVACION');
			$table->string('FECHA_CAPTURA_OFERTA');
			$table->string('TIEMPO_OFERTA_MERCADO');
			$table->string('NUMERO_CONTACTO_OFERENTE');
			$table->string('NOMBRE_OFERENTE');
			$table->string('COEFICIENTE');
			$table->string('AVALUO_CATASTRAL');
			$table->string('DESTINACION_ECONOMICA');
			$table->string('DERECHO_TIPO');
			$table->string('TIPO_TIPOLOGIA');
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ofertasphs');
	}

}
