tinymce.init(
    {
        selector: 'textarea', 
        branding: false
    }
);

$(document).ready(function(){
    $('.imagen').on('change',function(){
        //get the file name
        var fileName = $(this).val().split("\\").pop();
        //replace the "Choose a file" label
        $(this).next('.custom-file-label ').html(fileName);
    });
});

$(document).ready(function () {
    $(".btn_actualizar_noticia").on('click' ,function() {
    let id =  $(this).data("id");
    swal({
            title: "¿Desea actualizar el estado la noticia ? ",
            text: "Ésta decisión no tiene reversa",
            icon: 'warning',
            showCancelButton: true,
            buttons: [
              'Cancelar',
              'Si , estoy seguro!'
            ],
            dangerMode: true,
        })
        .then(function(isConfirm,e)  {
            if (isConfirm) {
              $.ajax({
                type: $(".form-actualizar-noticia"+id+"").attr("method"),
                url:  $(".form-actualizar-noticia"+id+"").attr("action"),
                data: $(".form-actualizar-noticia"+id+"").serialize(),
                dataType: "json"
              }).done(function (response) {
                if(response.status==200){
                    swal({
                      icon: 'success',
                      title: 'Proceso exitoso ',
                      text: response.msj,
                      timer: 2000,  
                    })
                    .then((result) => {
                      location.reload();
                    })
                }else {
                  swal({
                      icon: 'error',
                      title: 'Proceso fallido ',
                      text: response.msj,
                      timer: 2000
                    })
                }
              }).fail( function( jqXHR, textStatus, errorThrown ) {
                console.log( 'Error!! ' + ' ' + jqXHR + ' ' +textStatus + ' '+ errorThrown );
              }); 

          }});
        });
      });
    
$(document).ready(function () {
  $(".btn_eliminar_noticia").on('click' ,function() {
  let id =  $(this).data("id");
  swal({
          title: "¿Desea eliminar la noticia ? ",
          text: "Ésta decisión no tiene reversa",
          icon: 'warning',
          showCancelButton: true,
          buttons: [
            'Cancelar',
            'Si , estoy seguro!'
          ],
          dangerMode: true,
      })
      .then(function(isConfirm,e)  {
          if (isConfirm) {
            $.ajax({
              type: $(".form-eliminar-noticia"+id+"").attr("method"),
              url:  $(".form-eliminar-noticia"+id+"").attr("action"),
              data: $(".form-eliminar-noticia"+id+"").serialize(),
              dataType: "json"
            }).done(function (response) {
              if(response.status==200){
                  swal({
                    icon: 'success',
                    title: 'Proceso exitoso ',
                    text: response.msj,
                    timer: 2000,  
                  })
                  .then((result) => {
                    location.reload();
                  })
              }else {
                swal({
                    icon: 'error',
                    title: 'Proceso fallido ',
                    text: response.msj,
                    timer: 2000
                  })
              }
            }).fail( function( jqXHR, textStatus, errorThrown ) {
              console.log( 'Error!! ' + ' ' + jqXHR + ' ' +textStatus + ' '+ errorThrown );
            }); 

        }});
      });
    });


$(document).ready(function () {
  $(".btn_historial_noticia ").on('click' ,function() {
     let id =  $(this).data("id");
     let modal =  $(this).data("target");
     $(modal.toString()).modal({show:true}); 
      $.ajax({
        type: $(".form-historial"+id+"").attr("method"),
        url:  $(".form-historial"+id+"").attr("action"),
        data: $(".form-historial"+id+"").serialize(),
        dataType: "json"
      }).done(function (response) {
  
      }).fail( function( jqXHR, textStatus, errorThrown ) {
        console.log( 'Error!! ' + ' ' + jqXHR + ' ' +textStatus + ' '+ errorThrown );
      }); 
  });
});

$(document).ready(function () {
  $('#chk_todos').change(function() {
    $(".check_area").attr("checked", this.checked);
  });
});