
var ctx = document.getElementById('chartEstadisticaGeneral').getContext('2d');
let global_general = JSON.parse(datos_global_general);
var chart = new Chart(ctx, {
    type: 'pie',
    data: {
        datasets:[{
            data: [global_general.porcentaje_ingresado, global_general.porcentaje_estudio,global_general.porcentaje_gestion,global_general.porcentaje_pendiente,global_general.porcentaje_enviado,global_general.porcentaje_rechazado],
            backgroundColor : ['orange', 'blue','violet', 'yellow','green','red'],
        }],
        labels:['En radicación','En estudio','En gestión','Por firmar','Enviado','Reproceso'],
    },
    options: {responsive: true, maintainAspectRatio: false}
});


let global_pqrs_anual = JSON.parse(cantidad_pqrs_anual);
var ctx = document.getElementById('chart_estadistica_anual').getContext('2d');
var chart = new Chart(ctx, {
    type: 'bar',
    data: {
        datasets: [{
            data: [
                global_pqrs_anual['0']['Enero'], 
                global_pqrs_anual['0']['Febrero'],
                global_pqrs_anual['0']['Marzo'],
                global_pqrs_anual['0']['Abril'], 
                global_pqrs_anual['0']['Mayo'], 
                global_pqrs_anual['0']['Junio'], 
                global_pqrs_anual['0']['Julio'],
                global_pqrs_anual['0']['Agosto'], 
                global_pqrs_anual['0']['Septiembre'],
                global_pqrs_anual['0']['Octubre'], 
                global_pqrs_anual['0']['Noviembre'], 
                global_pqrs_anual['0']['Diciembre']
            ],
            backgroundColor: ['#42a5f5', 'red', 'green', 'blue', 'violet','orange','yellow','cyan','magenta','Brown','Beige','Pink'],
            label: 'CANTIDAD PQR'
        }],
        labels: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre']
    },
    options: { responsive: true }
});

datos_area_general = JSON.parse(datos_area_general);
let area = [];
let porcentaje = [];
for (var i = 0; i < datos_area_general.length; i+=1) {
   area[i] = datos_area_general[i]['area']
   porcentaje[i] = parseInt(datos_area_general[i]['porcentaje'])
  }
var ctx = document.getElementById('char_estadistica_area').getContext('2d');
var myDoughnutChart = new Chart(ctx, {
    type: 'doughnut',
    data:  {
        datasets:[{
            data: porcentaje, 
            backgroundColor: ['#42a5f5', 'red', 'green', 'blue', 'violet','orange','yellow','cyan','magenta','Brown','Beige','Pink'],
        }],
        labels:area,
    },
    options: {responsive: true}
});
  
