var strfile = '';

$('button.sello').on('click', function(e) {
    e.preventDefault();
    if (!$(this).hasClass('btn-success')) {
        $('button.sello.btn-success').addClass('btn-primary').removeClass('btn-success');
        $(this).addClass('btn-success').removeClass('btn-primary');

        const value = $(this).val();
        $('#btn_sello').val(value);
    }
});

$('#preview').on('click', function(){
    const formData = new FormData(document.getElementById('form'));
    if(strfile != '') formData.append('strfile', strfile);
    $.ajax({
        url: $('#rutapreview').val(),
        method: 'POST',
        dataType: 'html',
        data: formData,
        cache: false,
        contentType: false,
        processData: false
    }).done(function(res){    
        const response = JSON.parse(res);
        strfile = response.file;
        window.open(response.route, '_blank');    
    }).fail(function(res){
        const response = JSON.parse(res.responseText);
        if(res.status === 400){
            let content = document.createElement('ul');
            $.each(response.errors, (_index, items) => {
                $.each(items, (_index, error) => {
                    const li = document.createElement('li');
                    li.innerText = error;
                    content.append(li);
                });
            });            
            swal({
                title: response.res,
                content: content,
                dangerMode: true
            });
        }        
    });
});