$(document).ready(function () {
  $(".marcar_favorito").on('click', function() {
    let id = $(this).data('id');
    let is_Favorite = $('.is_favorite'+id+"").val();
    let icon,title,text;
    if(is_Favorite == 1){
      title = "¿Desea marcar como favorito la petición " + id
      text = "Marcar como favorito"
      icon = 'info'
    }else{
      title = "¿Desea desmarcar de favorito la petición " + id
      text = "Desmarcar como favorito"
      icon = 'info'
    }
    swal({
      title: title,
      text: text,
      icon: icon,
      showCancelButton: true,
      buttons: [
        'Cancelar',
        'Si, estoy seguro!'
      ],
      dangerMode: true
    }).then(function(isConfirm,e) {
      if (isConfirm) {
        $.ajax({
          type: $(".frm-marcar-favorito"+id+"").attr("method"),
          url: $(".frm-marcar-favorito"+id+"").attr("action"),
          data: $(".frm-marcar-favorito"+id+"").serialize(),
          dataType: "json"
        }).done(function (response) {
          if(response.status == 200){
            swal({
              icon: 'success',
              title: 'Proceso exitoso',
              text: response.msj,
              timer: 2000
            }).then((result) => {
              location.reload();
            })
          }else {
            swal({
              icon: 'error',
              title: 'Proceso fallido',
              text: response.msj,
              timer: 2000
            })
          }
        }).fail( function( jqXHR, textStatus, errorThrown ) {
          console.log( 'Error!! ' + ' ' + jqXHR + ' ' +textStatus + ' '+ errorThrown );
        });
      }
    });
  });
});