var strfile = '';

//cargar combobox dinamico en editar juzgado
$(function(){ 
    $(document).on('change','.departamento_juzgado_tutela',function () {
        var dptoId = $(this).val();
        var url = $("#departamento_juzgado_tutela").data("url");      
        $.get(url+dptoId,
            function (data) {
                $('.ciudad_juzgado_tutela').empty();
                $('.ciudad_juzgado_tutela').append("<option value='0'>-- Seleccionar --</option>");
                $.each(data, function (index, element) {
                    $('.ciudad_juzgado_tutela').append("<option value='" + element.id + "'>" + element.nombre + "</option>");
                });
            }
        );
    });
});

$("#buscar_ciudadano").keyup(function () { 
    var search_keyword_value = $(this).val(); 
    var dataString = 'buscar_ciudadano=' + search_keyword_value; 
    var url = $("#buscar_ciudadano").data("url");
        if (search_keyword_value != '') { 
            $.get(url + search_keyword_value,
                function (data) {
                    $('#cedula').empty();
                    if(Object.entries(data).length != 0){
                        $.each(data, function (index, element) {
                            if(element.numero_documento != '' || element.numero_documento != null){
                                 $('#cedula').append("<option value='" + element.numero_documento + "'>" + element.numero_documento + '-' + element.nombre + "</option>");
                                document.getElementById('nombre').value=element.nombre;
                            }
                         });
                    }else{
                        $('#cedula').empty();
                        $('#cedula').append("<option value=''> Ciudadano no registrado </option>");
                    }
                });
        } else{
            $('#cedula').empty();
            $('#cedula').append("<option value=''> --Seleccionar-- </option>");
        }
    return false;
});

$('#newAddr').click(function(){
    $('#NAddrForm').fadeIn('slow');
    $('.wrapperBg').fadeIn('slow');
});

$('#CloseDir').click(function(){
    $('#NAddrForm').fadeOut('slow');
    $('.wrapperBg').fadeOut('slow');
});

$('.opciones a').click(function(){
    event.preventDefault();
    var val = $(this).attr('id');
    var direccion = $('#direccion_modal').val();

    if(val == 'limpiar'){
        $('#direccion_modal').val("");
    }else if(val == 'borrar'){
        var str = direccion.substring(0, direccion.length-1);
        $('#direccion_modal').val(str);
    }else{
        var direccion_after = direccion+val;
        $('#direccion_modal').val(direccion_after);
    }
});

$('#SaveDir').click(function(){
    $('#NAddrForm').fadeOut();
    var direccion = $('#direccion_modal').val();
    document.getElementById('direccion_residencia').value=direccion;
});

$('button.sello').on('click', function(e) {
    e.preventDefault();
    if (!$(this).hasClass('btn-success')) {
        $('button.sello.btn-success').addClass('btn-primary').removeClass('btn-success');
        $(this).addClass('btn-success').removeClass('btn-primary');

        const value = $(this).val();
        $('#btn_sello').val(value);
    }
});

$('#preview').on('click', function(){
    const formData = new FormData(document.getElementById('form'));
    if(strfile != '') formData.append('strfile', strfile);
    $.ajax({
        url: $('#rutapreview').val(),
        method: 'POST',
        dataType: 'html',
        data: formData,
        cache: false,
        contentType: false,
        processData: false
    }).done(function(res){
        const response = JSON.parse(res);
        strfile = response.file;
        window.open(response.route, '_blank');
    }).fail(function(res){
        const response = JSON.parse(res.responseText);
        if(res.status === 400){
            let content = document.createElement('ul');
            $.each(response.errors, (_index, items) => {
                $.each(items, (_index, error) => {
                    const li = document.createElement('li');
                    li.innerText = error;
                    content.append(li);
                });
            });
            swal({
                title: response.res,
                content: content,
                dangerMode: true
            });
        }
    });
});