<nav class="sidebar sidebar-offcanvas" id="sidebar">
    <ul class="nav">
        <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{{route('home')}}">
            <div class="sidebar-brand-icon rotate-n-15">
                <i class="fas fa-laugh-wink"></i>
            </div>
            <div class="sidebar-brand-text mx-3">{{\Illuminate\Support\Facades\Auth::user()->name}}</div>
        </a>

        <!-- Divider -->
        <hr class="sidebar-divider my-0">

        <li class="nav-item">
            <a class="nav-link" href="{{route('home')}}">
                <i class="menu-icon fa fa-tachometer-alt"></i>
                <span class="menu-title">Dashboard</span>
            </a>
        </li>
        @foreach($menus as $menu)
            @if(Auth::user()->autorizarPerfil($menu->id))
                <li class="nav-item">
                    <a class="nav-link" @if($menu->hijos != "[]") data-toggle="collapse" @endif
                    @if($menu->hijos != "[]") href="#dashboard-dropdown{{$menu->id}}"
                    @else
                       href="{{route($menu->ruta_name)}}"
                    @endif
                       aria-expanded="false"
                       aria-controls="dashboard-dropdown">
                        <i class="menu-icon {{$menu->icon}}"></i>
                        <span class="menu-title">{{$menu->nombre}}</span>
                    @if($menu->hijos != "[]")
                        <i class="menu-arrow"></i>
                    @endif
                    </a>
                    <div class="collapse" id="dashboard-dropdown{{$menu->id}}">
                        <ul class="nav flex-column sub-menu">
                            @foreach($menu->hijos as $hijo)
                                @if(Auth::user()->autorizarPerfil($hijo->id))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{route($hijo->ruta_name)}}"
                                       style="text-align: left !important; margin-left: -30px !important; width: 100% !important;"
                                       @if(Request::is($menu->ruta)) class="active" @endif>
                                        <i class="menu-icon {{$hijo->icon}}"></i>
                                        {{$hijo->nombre}}
                                        @if($hijo->count_active == 1)
                                            <span class="{{ $hijo->class ?? 'badge badge-success'}}" id="{{str_replace(' ','_',$hijo->nombre)}}">{{$hijo->counts_socket ?? 0}}</span>
                                        @endif
                                    </a>
                                </li>
                                @endif
                            @endforeach
                        </ul>
                    </div>
                </li>
            @endif
        @endforeach
    </ul>
</nav>
<script>
    const userId = '{{auth()->id()}}'
    window.Echo.private('message-channel.'+userId).listen('.MessageEvent', (data) => {
        document.getElementById(data.menu).innerText = data.cantidad;
    });

    window.Echo.channel('public-message-channel')
        .listen('.MessageEvent', (data) => {
            console.log(data);
            document.getElementById(data.menu).innerText = data.cantidad;
        });
</script>
