@extends('layouts.app')
@section('content')
<script src="https://www.google.com/recaptcha/api.js" async defer></script>
<div class="container">
    <!-- Outer Row -->
    <div class="row justify-content-center">
        <div class="col-xl-12 col-lg-12 col-md-9">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <!-- Nested Row within Card Body -->
                    <div class="row">
                        <div class="col-sm-6">
                            <img  src="{{asset('images/bkcatasig.jpg')}}" />
                        </div>
                        <div class="col-sm-6" style="background-color:#FFFFFF">
                            <div class="p-5" >
                                <div class="text-center" >
                                    <img style="width:55% !important;" src="{{asset('images/xiltrion.png')}}" />
                                </div>
                                <form method="POST" action="{{ route('login') }}" >
                                    {{csrf_field()}}
                                    <p class="mb-5 mr-auto" >Ingresa tus datos.</p>
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="mdi mdi-account-outline mdi-24px"></i></span>
                                            </div>
                                            <input id="email" type="email" class="form-control{{ $errors->has('email') ? 'is-invalid' : '' }}" name="email" value="{{ old('email') }}" required autofocus placeholder="Email">
                                            @if ($errors->has('email'))
                                                <span class="invalid-feedback" role="alert"><strong>{{ $errors->first('email') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="mdi mdi-lock-outline mdi-24px"></i></span>
                                            </div>
                                            <input type="password" name="password" class="form-control" placeholder="Password">
                                        </div>
                                    </div>
                                    <!-- <div class="g-recaptcha m-2" data-sitekey="6LfYqCAaAAAAACzvx3ecG4UWPsXFuKD4opMZz43K"></div> -->
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-primary submit-btn">INGRESAR</button>
                                    </div>
                                    <div class="wrapper mt-5 text-gray">
                                        <p class="footer-text">Copyright ©
                                            <?php echo date('Y'); ?> Datafis S.A.S. Todos los derechos reservados.
                                        </p>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{{asset('assets/js/captchat.js')}}"></script>
@endsection