<?php
    $organismo = App\Organismo::first();
?>
<br><br>
{{$municipio}}, {{$fechaImpresion}}
<br><br>
<p  style="text-align: right;"><b>{{$numeroGenerado}}</b></p>
<br>
<br><br>
Señores<br>
Secretaria de Hacienda Municipal<br>
Atn.-{{$secretariaHacienda}}<br>
{{$municipio}}<br>
<br><br><br><br>

<table>
  <tr>
    <td><b>Asunto:</b></td>
    <td>
      <b>
        @if ($oficioFraccion)
          Firma para Fraccionamiento de Titulo Judicial
        @else
          Orden de apropiación y pago de Titulo Judicial
        @endif
      </b>
    </td>
  </tr>
</table>
<p align="justify">
Cordial Saludo,
</p>
<p align="justify">
  Le informo, que esta Secretaría, en atención a las facultades consagradas en la Ley 769 de 2002 y la Ley 1066 de 2006, a través de la resolución No. <b>{{$numeroResApt}}</b> del <b>{{$fechaImpresion}}</b>, ha ordenado
  @if ($oficioFraccion)
    EL FRACCIONAMIENTO del
  @else
    la apropiación y pago
  @endif
  del {!!$textoTituloOficio!!}, constituido a nombre del Señor(a) <b>{{$nombreInfractor}}</b> identificado(a) con C.C/NIT <b>{{$identificacionInfractor}}</b>
</p>

<p align="justify">
  Adjunto: Resolución No. <b>{{$numeroResApt}}</b>.
</p>
<p align="justify">
  Agradeciendo de antemano su diligencia y atención
</p>
<br><br><br>
<h4>Cordialmente,</h4>
<br>
<div style="text-align: left;">
  <img style="max-width: 150px; height: auto;" src="{{$rutaFirma}}">
  <br>
  {{$secretarioNombre}}
  <br>
  <b>{{$organismoNombreSecreteria}}</b>
</div>

<?php
if($organismo->codigo=="68655000")
{
  ?>
<div class="footer">
  <table style="width: 100%;">
    <tr>
      <td>
           <img style="max-width: 600px; height: auto;" src="{{ asset('images/cuadro.png' ) }}"><br>
      </td>
    </tr>
    <tr>
      <td>
           <img style="max-width: 600px; height: auto;" src="{{ asset('images/piemembretesabana.jpg' ) }}"><br>
      </td>
    </tr>    
  </table>
</div>
<?php
   }
?>
