<h3 style="text-align: center;"><strong>RESOLUCION {{$numero_resolucion}}</strong></h3>
<h3 style="text-align: center;"><strong>{{$fecha_actual}}</strong></h3>
<p style="text-align: center;">Por medio de la cual se decreta la reconstruccion parcial del expediente y se fija fecha de audiencia</p>
<br>
<table class="strong">
  <tr>
      <td>EXPEDIENTE</td>
    <td>:EXP-{{$comparendo->numero_expediente}}</td>
  </tr>
  <tr>
    <td>DEMANDADO</td>
    <td>:{{$demandado}}</td>
  </tr>
  <tr>
    <td>DEMANDANTE</td>
    <td>:SECRETARIA DE TRANSITO Y TRANSPORTE DE CURUMANI</td>
  </tr>
  <tr>
    <td>ASUNTO</td>
    <td>:DECRETA RECONSTRUCCIÓN DEL EXPEDIENTE.</td>
  </tr>
</table>
<br>
<div style="text-align: center;">
LA SECRETARIA DE TRANSITO Y TRANSPORTE  DE CURUMANI
</div>
<br>
<p style="text-align: justify;">
En uso de susfacultades legales, según lo dispuesto en el articulo 140 de le Ley 769 de 2002 y el articulo 5 de la Ley 1066 de 2006 y
</p>
<br>
<h3 style="text-align: center;"><strong>CONSIDERANDO</strong></h3>
<br>
<p style="text-align: justify;">
En atención al proceso de reorganizacion del archivo de esta secretaría y en atencion a que realizada la auditoria correspondiente y ante la omision de entrega formal de los expedientes que hacian parte del archivo fisico de esta secretaría, se percato que los expedientes que contenian actuaciones generadas por la autoridad de transito el Dr. Yairziño Benjumea Ruiz, dentro de los diferentes procesos contravencionales y procesos admnistrativos de cobro coactivo, que tuvo a su cargo, no reposan las piezas procesales expedidas por el, que impiden la continuar  con el tramite normal del proceso, obligacion establecida en la ley 769 de 2002 y la Ley 1066 de 2006.
</p>
<br>
<p style="text-align: justify;">
En vista de lo anterior y en atención a la la obligacion establecida en las normas anteriormente citadas este despacho en virtud del artículo 126 del C.G.P procederá a decretar la reconstrucción del expediente bajo la radicación EXP-{{$comparendo->numero_expediente}}:
</p>
<br>

<div style="padding-left: 30px;padding-right: 30px;font-style: italic;font-size: 11px;">
  <p>
  <strong>"Artículo 126. Trámite para la reconstrucción.</strong> En caso de pérdida total o parcial de un expediente se procederá así:
  </p>
  <br>
  <p>
  1. El apoderado de la parte interesada formulará su solicitud de reconstrucción y expresará el estado en que se encontraba el proceso y la actuación surtida en él. La reconstrucción también procederá de oficio.
  </p>
  <br>
  <p>
  2. El juez fijará fecha para audiencia con el objeto de comprobar la actuación surtida y el estado en que se hallaba el proceso, para lo cual ordenará a las partes que aporten las grabaciones y documentos que posean. En la misma audiencia resolverá sobre la reconstrucción.
  </p>
  <br>
  <p>
  3. Si solo concurriere a la audiencia una de las partes o su apoderado, se declarará reconstruido el expediente con base en la exposición jurada y las demás pruebas que se aduzcan en ella.
    Cuando se trate de pérdida total del expediente y las partes no concurran a la audiencia o la reconstrucción no fuere posible, o de pérdida parcial que impida la continuación del proceso, el juez declarará terminado el proceso, quedando a salvo el derecho que tenga el demandante a promoverlo de nuevo.
  </p>
  <br>
  <p>
  4. Reconstruido totalmente el expediente, o de manera parcial que no impida la continuación del proceso, este se adelantará, incluso, con prescindencia de lo perdido o destruido."
  </p>
</div>
<br><br>
Corolario de lo anterior, a la luz del mencionado artículo en el inciso 2 ° que establece:
<br>
<div style="padding-left: 30px;padding-right: 30px;font-style: italic;font-size: 11px;">
  <p>
  Artículo 126 – 2&#176; (...)
  </p>
  <br>
  <p>
    "El Juez fijará fecha para audiencia con el objeto de comprobar la actuación surtida y el estado en que se hallaba el proceso, para lo cual ordenará a las partes que aporten las grabaciones y documentos que posean. En la misma Audiencia resolverá sobre la reconstrucción."
  </p>
</div>
<br>
<p>
En este sentido, se procederá a fijar fecha de audiencia con el ánimo de cumplir a cabalidad lo normado por el artículo anteriormente citado, con el ánimo que las partes y/o sus apoderados comparezcan a la diligencia y procedan a aportar los documentos que se encuentran en su poder.
</p>
<br>
<p>
En mérito de lo expuesto, la Secretaría de Transito y Transporte de Curumani,
</p>

<br>
<h3 style="text-align: center;"><strong>RESUELVE</strong></h3>
<br>

<p>
<strong>PRIMERO:</strong> Decretar la reconstrucción parcial del expediente con radicado N&#176; EXP-{{$comparendo->numero_expediente}} dentro del proceso administrativo de cobro coactivo promovido en contra del demandado {{$demandado}}
</p>
<br>
<p>
<strong>SEGUNDO:</strong> Fijar para el {{$fechaAudiencia}}. en la sala de audiencias de esta Secretaría para realizar la audiencia que trata el numeral 2&#176; del artículo 126 C.G.P.
</p>
<br>
<p>
<strong>TERCERO:</strong> Citar al coordinador operativo del organismo de apoyo de la secretaría de tránsito señorita MARIA ALEJANDRA CASTRO a fin de que aporte documentos o pruebas que puedan ayudar a la reconstrucción del expediente radicado N&#176; EXP-{{$comparendo->numero_expediente}}.
</p>
<br><br><br>
<h3 style="text-align: center;">NOTIFÍQUESE Y CÚMPLASE</h3>
<br>

<div style="text-align: center;">
  <table style="width: 100%;">
    <tr>
      <td style="width:25%"></td>
      <td style="text-align: center; width:50%">
        <img style="max-width: 200px; height: auto;" src="{{$rutaFirma}}">
        <br>
        {{$nombreSecretaria}}
        <br>
        <b>Secretaría de Transito y Transporte de Curumani</b>
        <br><br>
        <div style="border-collapse:collapse; border: 1px solid #000;padding: 10px;font-size: 10px;width:300px;">
          <h5 style="text-align: center;">Secretaria de Transito y Transporte de Curumani - Cesar</h5>
          <br>
          La providencia anterior se NOTIFICA hoy {{$fechaNotificacion}}, por anotacion en el estado {{$nombreEstado}}.
          <br>
          <br>
          <br>
          <br>
          <br>
          <br>
          {{$nombreSecretaria}}
          <br>
          Secretaría de Transito y Transporte de Curumani
        </div>
        <br><br>
        <div style="text-align: center;">
          <img src="data:image/png;base64,{{\Milon\Barcode\DNS1D::getBarcodePNG($comparendo->numero, "C128", 1, 45)}} " alt="barcode"/><br>
          {{$comparendo->numero}}
        </div>
      </td>
      <td style="width:25%"></td>
    </tr>
  </table>
</div>
