@extends('layouts.app')
@section('breadreportecrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Editar Formato']
        ],
        'show_add_button' => false,
        'add_button_route' => route('formatoemail.crear')
    ])
@endsection
@section('content')
    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }

    </style>
    <div id="center">
        <div class="container-small" id="editar-formato" style="max-width: 700px;">

                <p>Tipo Peticion:  coloque [?1] <br>
                Entidad: coloque [?2]<br>
                No radicacion: coloque [?3]<br>
                Nombre: coloque [?4]<br>
                Rad Juzgado: coloque [?5]<br>
                </p>
            <form class="ui form" method="POST" action="{{ route('formatoemail.actualizar', $formato->id) }}">
                {{ csrf_field() }}

                <div class="field">
                    <label>Nombre Formato <span class="required">*</span></label>
                    <input name="nombre" value="{{ $formato->nombre }}">
                </div>

                <div class="field">
                    <label>Formato <span class="required">*</span></label>
                    <textarea style="height: 100vh;" name="body" id="body">{{ $formato->descripcion }}</textarea>
                </div>


                <div class="spacer"></div>
                <div class="spacer"></div>

                <div class="buttons">
                    <a href="{{ route('parametros.formatoemail') }}" class="ui button">Cancelar</a>
                    <button class="ui button primary">Actualizar</button>
                </div>
            </form>
        </div>
    </div>
    <script src="{{asset('assets/js/parametros/editarformatoemail.js')}}"></script>
@endsection