@extends('layouts.app')
@section('breadreportecrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Dias No Habiles']
        ],
        'show_add_button' => false,
        'add_button_route' => route('dias.crear')
    ])
@endsection
@section('content')
    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }

        .field{
            margin-bottom: 3%;
        }

    </style>
    <div id="center">
        <div class="container-small" id="editar-usuario-organismo">
            <form class="ui form" method="POST" enctype="multipart/form-data" action="{{ route('entidad.actualizar', $entidad->id) }}">
                {{ csrf_field() }}

                <div class="field">
                    <label>Nombre</label>
                    <input style="width:100%;" name="nombre" value="{{ $entidad->nombre }}">
                </div>

                <div class="field">
                    <label>Url de la entidad</label>
                    <input style="width:100%;" name="url_entidad" value="{{ $entidad->url_entidad }}">
                </div>

                <div class="field">
                    <label>Imagen Logo Entidad</label>
                    <input style="width:100%;" accept="image/*" type="file" name="imagen_logo">
                </div>

                <div class="field">
                    <label>Imagen Encabezado Membrete</label>
                    <input style="width:100%;" accept="image/*" type="file" name="nombre_header">
                </div>

                <div class="field">
                    <label>Imagen Pie de Página Membrete</label>
                    <input style="width:100%;" accept="image/*" type="file" name="nombre_footer">
                </div>

                <div class="spacer"></div>
                <div class="spacer"></div>

                <div class="buttons">
                    <a href="{{ route('parametros.entidad') }}" class="ui button">Cancelar</a>
                    <button class="ui button primary">Actualizar</button>
                </div>
            </form>
        </div>
    </div>

@endsection