@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Carga Formato']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.cargaformato')
    ])
@endsection
@section('content')

    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }

    </style>

    <div class="row">
        <div class="col-md-12 grid-margin">
<?php
    $fi=Carbon\Carbon::now()->format('Y-m-d') ;
    if(Input::has('fecha_inicial'))
     {
       $fi=Input::get('fecha_inicial') ;
       //$fi=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 
    $ff=Carbon\Carbon::now()->format('Y-m-d') ;
    if(Input::has('fecha_final'))
     {
       $ff=Input::get('fecha_final') ;
       //$fi=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 
?>



    <div class="card">
        <div class="card-body">


                <form class="ui form" method="get" enctype="multipart/form-data"
                  action="{{ URL::route('reporte.exportformato', 1) }}">
                    {{csrf_field()}}
                <div class="row">

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">Descargar Formato</button>
                    </div>
                 </div>   
                </form>

<br>

                <form class="ui form" method="get" enctype="multipart/form-data"
                  action="{{ URL::route('reporte.export02formato', 1) }}">
                    {{csrf_field()}}
                <div class="row">

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">Descargar Formato 02</button>
                    </div>
                 </div>   
                </form>

<br>

                <form class="ui form" method="get" enctype="multipart/form-data"
                  action="{{ URL::route('reporte.export03formato', 1) }}">
                    {{csrf_field()}}
                <div class="row">

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">Descargar Formato 03</button>
                    </div>
                 </div>   
                </form>
                
<br>

                <form class="ui form" method="get" enctype="multipart/form-data"
                  action="{{ URL::route('reporte.export04formato', 1) }}">
                    {{csrf_field()}}
                <div class="row">

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">Descargar Formato 04</button>
                    </div>
                 </div>   
                </form>

<br>

                <form class="ui form" method="get" enctype="multipart/form-data"
                  action="{{ URL::route('reporte.export05formato', 1) }}">
                    {{csrf_field()}}
                <div class="row">

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">Descargar Formato 05</button>
                    </div>
                 </div>   
                </form>                


            </div>
    </div>

</div>
</div>
    

@endsection
