@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Reporte Cartera']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.carteramorosa')
    ])
@endsection
@section('content')





        <div class="spacer"></div>
        <div class="spacer"></div>

        

                    <div class="titulo-reporte">
                        <h1 style="font-weight: 700; font-size: 2em;">Cartera Morosa Detalle</h1>

<form class="ui form" method="GET" action="{{ route('reportes.carteramorosadetalle') }}">

                                <input type="hidden" name="tipo_detalle" value="1">                             
                        
                            <select name="ano">
                               <?php
                                    $compa = App\Cartera::where('ano','>','2007')
                                    ->select(
                                    DB::raw('count(1) as `valor`'),
                                    DB::raw("ano"))
                                    ->groupby('ano')->get();
            
                                    //$tra=$tramite->id_tramite;
                                    foreach($compa as $comparendo)
                                        { 
                                        $selected="";
                                        if($comparendo->ano==$ano)
                                        {
                                            $selected=" selected";
                                        }
                                            ?>
                                                <option value="{{ $comparendo->ano }}" 
                                                    {{ $selected }}>{{ $comparendo->ano }}</option>
                                                <?php
                                            }
                                ?>    
                            </select>

                            <button class="ui button primary">Filtrar</button>

</form>
                    </div>
                </div>

                <div class="spacer"></div>
                <div class="spacer"></div>
            

            <table class="table">
                <thead>
                    <tr>
                        <th>Infractor</th> 
                        <th>Valor Compa</th> 
                        <th>Valor Reso</th> 
                        <th>Interes</th>  
                        <th>Honorario</th>  
                        <th>Sistema</th>
                        <th>Descu Inte</th>  
                        <th>Descu Compa</th>  
                        <th>Pagos</th>  
                        <th>Total</th>                        
                    </tr>
                </thead>
                <tbody>


 <?php
$t_1=0;$t_2=0;$t_3=0;$t_4=0;$t_5=0;$t_6=0;$t_7=0;$t_8=0;$t_9=0;
?>                   
                      			  <?php

		                            $compa = App\ComparendoVivo::where('ano',$ano)
                					->get();
									foreach($compa as $comparendo)
										    { 
$t_1=$t_1+$comparendo->valor;
$t_2=$t_2+$comparendo->valor_resolucion;
$t_3=$t_3+$comparendo->intereses;
$t_4=$t_4+$comparendo->honorarios;
$t_5=$t_5+$comparendo->sistematizacion;
$t6=$comparendo->campana*$comparendo->intereses/100;
$t7=$comparendo->campana2*$comparendo->valor/100;
$t_6=$t_6+$t6;
$t_7=$t_7+$t7;
$t_8=$t_8+$comparendo->pagos;
$t_9=$t_9+$comparendo->total_deuda;

                                                ?>
                                            <tr>
                                                <th>{{ $comparendo->infraccion_fecha }}<br>
                                                    {{ $comparendo->numero }}<br>
                                                    {{ $comparendo->infractor_documento }}<br>
                                                    {{ $comparendo->infractor_nombre }}<br>
                                                    {{ $comparendo->infractor_apellido }}</th>

                                    <th><div align="right">
                                        $ {{ number_format($comparendo->valor, 0, '.', '.') }}</div></th>
                                    <th><div align="right">
                                        $ {{ number_format($comparendo->valor_resolucion, 0, '.', '.') }}</div></th>
									<th><div align="right">
                                        $ {{ number_format($comparendo->intereses, 0, '.', '.') }}</div></th>
                                    <th><div align="right">
                                        $ {{ number_format($comparendo->honorarios, 0, '.', '.') }}</div></th>
                                    <th><div align="right">
                                        $ {{ number_format($comparendo->sistematizacion, 0, '.', '.') }}</div></th>
                                    <th><div align="right">
                                        $ {{ number_format($t6, 0, '.', '.') }}</div></th>
                                    <th><div align="right">
                                        $ {{ number_format($t7, 0, '.', '.') }}</div></th>
                                    <th><div align="right">
                                        $ {{ number_format($comparendo->pagos, 0, '.', '.') }}</div></th>
                                    <th><div align="right">
                                        $ {{ number_format($comparendo->total_deuda, 0, '.', '.') }}</div></th>
                                            </tr>    
                                                <?php
											}
								?>                        

                    <tr  style="background-color: #EDE5E4;">
                        <td >Total</td>
                        <td style="text-align: right;">${{ number_format($t_1, 0, '.', '.') }}</td>

                        <td style="text-align: right;">${{ number_format($t_2, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_3, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_4, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_5, 0, '.', '.') }}</td>   

                        <td style="text-align: right;">${{ number_format($t_6, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_7, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_8, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_9, 0, '.', '.') }}</td>                     
                        
                    </tr>


                </tbody>
                <tfoot>

                </tfoot>
            </table>

            <div class="pie solo-imprimir">
                <table class="data bottom">
                    <tr>
                        <td style="text-align: center;" align="center">
                            <table cellpadding="0" cellspacing="0">
                                <tr>
                                    <td>
				<br><br>			
			
                            {{ mb_strtoupper(Auth::user()->organismo->direccion) }} <br>
                            {{ mb_strtoupper(Auth::user()->organismo->telefonos) }} <br>
                            {{ mb_strtoupper(Auth::user()->organismo->sitio_web) }} <br>
                            {{ mb_strtoupper(Auth::user()->organismo->email) }}  
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <p style="text-align: center;">Reporte genenerado por Xiltrion
                    el {{ \Carbon\Carbon::now()->format('Y-m-d') }} a las {{ \Carbon\Carbon::now()->format('H:i') }}</p>



@endsection
