@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Reporte Imposicion Comparendos']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.imposicioncomparendos')
    ])
@endsection
@section('content')

    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }

    </style>


<?php
/*
    if(Input::has('fecha_inicial'))
     {
       $mes0=Input::get('fecha_inicial') ;
     } else
     {
       $mes0=date("m");        
     }

    if(Input::has('fecha_final'))
     {
       $ano=Input::get('fecha_final') ;
     } else
     {
        $ano=date("Y");
     }
*/
//$mes0="05";//date("m");
$mes=$mes0*1;//date("n");
$mesactual=$mes-1+1;


$anoanterior=$ano;//date("Y");

$mesanterior=$mes-1;
if($mesanterior==0)
{
    $mesanterior=12;
    $anoanterior=$ano-1;
}

$mesanterior0=$mesanterior;
if($mesanterior<10)
{
    $mesanterior0="0".$mesanterior;
}


function nombreMes($numero, $recortar = false){
        $mes = "";

        switch ($numero){
            case 1:
                $mes = "Enero";
                break;

            case 2:
                $mes = "Febrero";
                break;

            case 3:
                $mes = "Marzo";
                break;

            case 4:
                $mes = "Abril";
                break;

            case 5:
                $mes = "Mayo";
                break;

            case 6:
                $mes = "Junio";
                break;

            case 7:
                $mes = "Julio";
                break;

            case 8:
                $mes = "Agosto";
                break;

            case 9:
                $mes = "Septiembre";
                break;

            case 10:
                $mes = "Octubre";
                break;

            case 11:
                $mes = "Noviembre";
                break;

            case 12:
                $mes = "Diciembre";
                break;
        }

        if($recortar){
            return substr($mes, 0, 3);
        }
        return $mes;
    }

function nombreDia($numero, $recortar = false){
        $dia = "";

        switch ($numero){
            case 2:
                $dia = "Lunes";
                break;

            case 3:
                $dia = "Martes";
                break;

            case 4:
                $dia = "Miercoles";
                break;

            case 5:
                $dia = "Jueves";
                break;

            case 6:
                $dia = "Viernes";
                break;

            case 7:
                $dia = "Sabado";
                break;

            case 1:
                $dia = "Domingo";
                break;
        }

        if($recortar){
            return substr($dia, 0, 3);
        }
        return $dia;
    }

?>    



    <div class="row">
        <div class="col-md-12 grid-margin">

<?php
/*
    $fi=Carbon\Carbon::now()->format('Y-m-d') ;
    $fi2=$fi;
    if(Input::has('fecha_inicial'))
     {
       $fi=Input::get('fecha_inicial') ;
       //$fi2=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 
    $ff=30; // Carbon\Carbon::now()->format('Y-m-d') ;
    if(Input::has('fecha_final'))
     {
       $ff=Input::get('fecha_final') ;
       //$fi=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 
*/
    //$fi3 = new Carbon\Carbon($fi)->format('Y-m-d');
    //$fdia = $fi3->subDay($ff);

//$infra = App\Comparendo::where('infraccion_fecha','>=',$fdia)->where('infraccion_fecha','<=',$fi)->count();
/*foreach($nomtramites as $nomtramite)
{
$tra=$nomtramite->nombre;
}*/

?>

    <div class="card">
        <div class="card-body">
                <form class="ui form" method="GET" action="{{ route('reporte.imposicioncomparendos') }}">
                    {{csrf_field()}}
                <div class="row">


                    <div class="col-md-3">
                        <label>
                            MES
                        </label>


                        <select name="fecha_inicial" id="fecha_inicial" class="form-control">
                            <option value="01" @if($mes0 == '01') selected @endif>Enero</option>
                            <option value="02" @if($mes0== '02') selected @endif>Febrero</option>
                            <option value="03" @if($mes0 == '03') selected @endif>Marzo</option>
                            <option value="04" @if($mes0 == '04') selected @endif>Abril</option>
                            <option value="05" @if($mes0 == '05') selected @endif>Mayo</option>
                            <option value="06" @if($mes0 == '06') selected @endif>Junio</option>
                            <option value="07" @if($mes0 == '07') selected @endif>Julio</option>
                            <option value="08" @if($mes0 == '08') selected @endif>Agosto</option>
                            <option value="09" @if($mes0 == '09') selected @endif>Septiembre</option>
                            <option value="10" @if($mes0 == '10') selected @endif>Octubre</option>
                            <option value="11" @if($mes0 == '11') selected @endif>Noviembre</option>
                            <option value="12" @if($mes0 == '12') selected @endif>Diciembre</option>
                        </select>

                    </div>

                    <div class="col-md-3">
                        <label>
                            ANO
                        </label>
                        <input class="form-control" type="text"
                                name="fecha_final"
                                id="fecha_final" value="{{ $ano }}" >
                    </div>

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">CONSULTAR</button>
                    </div>
                 </div>   
                </form>
            </div>


        </div>


<script src="https://code.highcharts.com/highcharts.src.js"></script>
<br><br>
<?php


        $totalMovimientos6 = App\Comparendo::where('id_organismo', \Auth::user()->organismo->id)
            ->where('infraccion_fecha','like', '%'.$anoanterior .'-'. $mesanterior0 .'-%')
            ->select(
                DB::raw('count(1) as `cantidad`'),
                DB::raw('sum(valor) as `valor`'),
                DB::raw("MONTH(infraccion_fecha) as mes,YEAR(infraccion_fecha) as ano, infracciones"))
                ->groupby('ano','mes','infracciones')                              
                ->orderBy('valor', 'DESC')
            ->orderBy('mes', 'DESC')
            ->get();


        $totalMovimientos5 = App\Comparendo::where('id_organismo', \Auth::user()->organismo->id)
            ->where('infraccion_fecha','>=', $ano.'-'. $mes0 .'-01')
            ->select(
                DB::raw('count(1) as `valor`'),
                DB::raw("MONTH(infraccion_fecha) as mes,YEAR(infraccion_fecha) as ano, infracciones"))
                ->groupby('ano','mes','infracciones')                              
                ->orderBy('valor', 'DESC')
            ->orderBy('mes', 'DESC')
            ->limit(6)->get();

        $maxi=0;
        $suma=0;
        foreach($totalMovimientos5 as $total){
            if($maxi<$total->valor)
            {
               $maxi=$total->valor; 
            }
            $suma=$suma+$total->valor; 
         }


     $totalA = App\Comparendo::where('id_organismo', \Auth::user()->organismo->id)
            ->where('infraccion_fecha','>=', $anoanterior .'-'. $mesanterior0 .'-01')
            ->where('infraccion_fecha','<', $ano .'-'. $mes0 .'-01')
            ->select(
                DB::raw('count(1) as `valor`'),
                DB::raw("MONTH(infraccion_fecha) as mes,YEAR(infraccion_fecha) as ano, infracciones"))
                ->groupby('ano','mes','infracciones')                              
                ->orderBy('valor', 'DESC')
            ->limit(6)->get();
        foreach($totalA as $total){
            if($maxi<$total->valor)
            {
               $maxi=$total->valor; 
            }
            $suma=$suma+$total->valor; 
         }

?>   

              <div class="col-sm-6 col-md-6 col-lg-6 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <div class="row">

                    <div class="col-md-12">
                            INFRACCIONES
                      </div>

                    <div class="col-md-5">
                    <div class="aligner-wrapper">
                    <div id="infra" style="min-width: 250px; height: 260px; max-width: 250px; margin: 0 auto"></div>
<script>
// Build the chart
Highcharts.chart('infra', {
    chart: {
        plotBackgroundColor: null,
        plotBorderWidth: null,
        plotShadow: false,
        type: 'pie'
    },
    title: {
        text: '{{nombreMes($mesanterior)}}'
    },
    tooltip: {
        pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
    },
    plotOptions: {
        pie: {
            allowPointSelect: true,
            cursor: 'pointer',
            dataLabels: {
                enabled: false
            },
            showInLegend: true
        }
    },
    series: [{
        name: '%',
        colorByPoint: true,
        data: [
            <?php
                    foreach($totalA as $total){
            ?>   
            {
                        name: '{{ $total->infracciones }}',
                        y: {{ $total->valor }}
                    },
            <?php
            }
            ?>
         ]
    }]
});
 </script> 

                    </div>
                    </div>
                        
                    <div class="col-md-5">  
                    <div class="aligner-wrapper">
                    <div id="infra2" style="min-width: 250px; height: 260px; max-width: 250px; margin: 0 auto"></div>
<script>
// Build the chart
Highcharts.chart('infra2', {
    chart: {
        plotBackgroundColor: null,
        plotBorderWidth: null,
        plotShadow: false,
        type: 'pie'
    },
    title: {
        text: '{{nombreMes($mesactual)}}'
    },
    tooltip: {
        pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
    },
    plotOptions: {
        pie: {
            allowPointSelect: true,
            cursor: 'pointer',
            dataLabels: {
                enabled: false
            },
            showInLegend: true
        }
    },
    series: [{
        name: '%',
        colorByPoint: true,
        data: [
<?php
        foreach($totalMovimientos5 as $total){
?>   
{
            name: '{{ $total->infracciones }}',
            y: {{ $total->valor }}
        },
<?php
}
?>
        ]
    }]
});
 </script> 
                    </div>   
                    </div> 


                    </div>
                  </div>
                </div>
              </div>

            
            </div>

      



<div class="row">
 <div class="col-md-12 grid-margin">
 <div class="card">
 <div class="card-body">

<div class="row">


            <div class="flex flex-alineado-centro flex-justificado-espaciado-entre">
                <div class="resumen caja-reporte">
                    <h3>Imposicion Comparendos</h3>
                </div>
            </div>

            <div class="spacer"></div>
            <div class="spacer"></div>

<div class="row table-responsive">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th >Infraccion {{nombreMes($mesanterior)}}</th>                     
                        <th># Comparendo</th>                     
                        <th>Valor Total</th>


                        <th >Infraccion {{nombreMes($mesactual)}}</th>                     
                        <th># Comparendo</th>                     
                        <th>Valor Total</th>

                </thead>
            <tbody>
<?php
$t1=0;
$t2=0;
$t3=0;
$t4=0;


        foreach($totalMovimientos6 as $total){
$t1=$t1+$total->cantidad;
$t2=$t2+$total->valor;

?>   

<?php
         $totalA = App\Comparendo::where('id_organismo', \Auth::user()->organismo->id)
            ->where('infraccion_fecha','like', "%".$ano.'-'. $mes0 .'-%')
            ->where('infracciones', $total->infracciones)
            ->select(
                DB::raw('count(1) as `cantidad`'),
                DB::raw('sum(valor) as `valor`'),
                DB::raw("MONTH(infraccion_fecha) as mes,YEAR(infraccion_fecha) as ano, infracciones"))            
                ->groupby('infracciones')->get();
                $infra2=0;
                $infra1=0;
        foreach($totalA as $infra){
               $infra1=$infra->cantidad; 
               $infra2=$infra->valor; 
         }  

        $totalB = App\Infraccion::where('codigo','like', '%'. $total->infracciones .'%')->get();
        $desc=0;
        foreach($totalB as $infrab){
               $desc=$infrab->infraccion; 
         } 

$t3=$t3+$infra1;
$t4=$t4+$infra2;
?>


                
                    <tr>  
                        <th style="text-align: right;">{{ $total->infracciones }}</th>                   
                        <th style="text-align: right;">{{ $total->cantidad }}</th>
                        <th style="text-align: right;">$
                         {{  number_format($total->valor, 0, '.', '.') }}</th>

                        <th style="text-align: right;">{{ $total->infracciones }}</th>                   
                        <th style="text-align: right;">{{ $infra1 }}</th>
                        <th style="text-align: right;">$ {{  number_format($infra2, 0, '.', '.') }}</th>

                    </tr>                     
                
<?php
        }
?> 

                    <tr>  
                        <th style="text-align: right;">Total</th>                   
                        <th style="text-align: right;">{{ $t1 }}</th>
                        <th style="text-align: right;">$
                         {{  number_format($t2, 0, '.', '.') }}</th>

                        <th style="text-align: right;">Total</th>                   
                        <th style="text-align: right;">{{ $t3 }}</th>
                        <th style="text-align: right;">$ {{  number_format($t4, 0, '.', '.') }}</th>

                    </tr>  

             </tbody>
            </table>



     </div></div>

      </div> </div> </div> </div>








@endsection
