@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Reporte Recaudo Simit/Polca']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.recaudosimitpolca')
    ])
@endsection
@section('content')

    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }

    </style>

    <div class="row">
        <div class="col-md-12 grid-margin">
<?php
    $fi=Carbon\Carbon::now()->format('Y-m-d') ;
    if(Input::has('fecha_inicial'))
     {
       $fi=Input::get('fecha_inicial') ;
       //$fi=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 
    $ff=Carbon\Carbon::now()->format('Y-m-d') ;
    if(Input::has('fecha_final'))
     {
       $ff=Input::get('fecha_final') ;
       //$fi=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 
?>
    <div class="card">
        <div class="card-body">
                <form class="ui form" method="GET" action="{{ route('reporte.recaudosimitpolca') }}">
                    {{csrf_field()}}
                <div class="row">
                    <div class="col-md-3">
                        <label>Tipo</label>
                        <select name="tipo" class="form-control">
                            <option value="comparendos" @if($tipo == 'comparendos') selected @endif>Comparendos</option>
                        </select>
                    </div>

                    <div class="col-md-3">
                        <label>
                            FECHA INICIAL
                        </label>
                         <input type="date" class="form-control" 
                                name="fecha_inicial"
                                id="fecha_inicial" value="{{ $fi }}">
                    </div>

                    <div class="col-md-3">
                        <label>
                            FECHA FINAL
                        </label>
                        <input class="form-control" type="date"
                                name="fecha_final"
                                id="fecha_final" value="{{ $ff }}" >
                    </div>

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">CONSULTAR</button>
                    </div>
                 </div>   
                </form>
            </div>


        </div>



        @if(!$movimientos->isEmpty())

<div class="row">
 <div class="col-md-12 grid-margin">
 <div class="card">
 <div class="card-body text-right">

<form class="ui form" action="{{ URL::route('reporte.polca', 1) }}" 
                            method="get" >                    
                                     {{ csrf_field() }}         
    <button class="btn btn-outline-success">Exportar</button>
      <input type="hidden" name="tipo_pago" value="Contado">
                         <input type="hidden" class="form-control" 
                                name="fecha_inicial"
                                id="fecha_inicial" value="{{ $fi }}">

                          <input class="form-control" type="hidden"
                                name="fecha_final"
                                id="fecha_final" value="{{ $ff }}" >

 <input type="hidden"
                                name="tipo"

 value="{{ Input::get('tipo') }}"
                        >

</form></div></div></div></div>



<div class="row">
 <div class="col-md-12 grid-margin">
 <div class="card">
 <div class="card-body">

<div class="row">


            <div class="spacer"></div>
            <div class="spacer"></div>

<div class="row table-responsive">
            

            <div class="flex flex-alineado-centro flex-justificado-espaciado-entre">
                <div class="resumen caja-reporte">
                    <h3>Comparendos</h3>
                </div>
            </div>

            <div class="spacer"></div>
            <div class="spacer"></div>

            <table class="table table-hover">
                <thead>
                    <tr>
                        <th style="width: auto; max-width: none; text-align: left;">Fecha</th>
                        <th>Comparendo</th>
                        <th>Fecha Compa</th>
                        <th>CC</th>
                        <th>Estado</th>
                        <th>Elaborado</th>

                        <th style="text-align: right;">Valor Comp.</th>

                        <th style="text-align: right;">Pago Comp. Apli</th>

                        <th style="text-align: right;">Simit</th>
                        <th style="text-align: right;">Ett</th>                        
                        <th style="text-align: right;">Municipio</th>
                        <th style="text-align: right;">Polca</th>                        
                        
                        <th style="text-align: right;">Intereses</th>

                        <th style="text-align: right;">Pago Int. Apli</th>

                        <th style="text-align: right;">Honorarios</th>
                        <th style="text-align: right;">Sistematización</th>
                        <th style="text-align: right;">Descuento</th>
                        <th style="text-align: right;">Recaudo</th>
                    </tr>
                </thead>
                <tbody>

<?php
$t_1=0;$t_2=0;$t_3=0;$t_4=0;$t_5=0;$t_6=0;$t_a=0;$t_b=0;$t_c=0;$t_d=0;$t_pca=0;$t_pia=0;
?>

                    @foreach($movimientos as $movimiento)
      
                        @if($movimiento->etiqueta == "pago-comparendo")
                            @foreach($movimiento->obtenerComparendosObj() as $comparendo)
                            <?php
                            $factura = json_decode($movimiento->factura, true);
$valcompa =($movimiento->valor-$factura['intereses']-$factura['honorarios']-$factura['sistematizacion']+$comparendo->calcularDescuento()+$factura['campana_calculados']+$factura['campana2_calculados']);


                    $t11=$valcompa;
                    $id_compa=$factura['comparendos'];
                    $t12=$factura['intereses'];
                    $t13=$factura['honorarios'];
                    $t14=$factura['sistematizacion'];
            $t15=$comparendo->calcularDescuento()+$factura['campana_calculados']+$factura['campana_calculados'];
                    $t16=$movimiento->valor;

$tprecaudo="";
$numcompa="";
$numcc="";
$fechacompa="";
$estado="Pendiente";
   $apli = App\Comparendo::where('id', $id_compa)->get();
            foreach ($apli as $ap) {
             $numcompa=$ap->numero;
             $numcc=$ap->infractor_documento;  
             $fechacompa=$ap->infraccion_fecha;    
              if($ap->es_polca=="1")
              {
                $tprecaudo="POLCA";
              }

                foreach($ap->obtenerResolucion() as $resolucion)
                    {

                        $estado=$resolucion->COL5;
                    }
            }

$ultimaresolucion="";
   $apli = App\ResolucionSimit::where('COL7', $numcompa)->where('COL9', $numcc)->get();
            foreach ($apli as $ap) {
             $ultimaresolucion=$ap->COL5;
            }
   $apli = App\ResolucionSimitTipo::where('id', $ultimaresolucion)->get();
            foreach ($apli as $ap) {
             $ultimaresolucion=$ap->nombre;
            }


$t_1=$t_1+$t11;
$t_2=$t_2+$t12;
$t_3=$t_3+$t13;
$t_4=$t_4+$t14;
$t_5=$t_5+$t15;
$t_6=$t_6+$t16;

$organismo = App\Organismo::first();

$pca=$valcompa - $factura['campana2_calculados'] -$comparendo->calcularDescuento();
$pia=$factura['intereses'] - $factura['campana_calculados'];

$a=($pca)*0.1;
$b=($pca + $pia - $a)*$organismo->porcentajeett;


if($tprecaudo=="POLCA")
{
    $d=(  $pca - $a - (($pca-$a)*$organismo->porcentajeett)  )/2;
}else
{
    $d=0;
}



$c=($pca + $pia -$a - $b -$d);


//$b=(($valcompa-$comparendo->calcularDescuento())+$factura['intereses']-$factura['campana_calculados'])*0.4;
//$b=(($valcompa-$comparendo->calcularDescuento())-$factura['campana_calculados'])*0.4522;
//$c=($valcompa-$comparendo->calcularDescuento())*0.2239;
//$d=($valcompa-$comparendo->calcularDescuento())*0.2239;
/*
$a=($valcompa+$factura['intereses']-$comparendo->calcularDescuento()  - $factura['campana_calculados'])*0.1;
$b=(($valcompa-$comparendo->calcularDescuento())+$factura['intereses'] - $factura['campana_calculados'])*$organismo->porcentajeett;

$c=($valcompa-$comparendo->calcularDescuento()+$factura['intereses'] - $factura['campana_calculados'] -$a - $b)/2;
$d=($valcompa-$comparendo->calcularDescuento()+$factura['intereses'] - $factura['campana_calculados'] -$a - $b)/2;
*/



$t_a=$t_a+$a;
$t_b=$t_b+$b;
$t_c=$t_c+$c;
$t_d=$t_d+$d;
$t_pca=$t_pca+$pca;
$t_pia=$t_pia+$pia;


if($estado == "16")
{
   $estado="Cobro Coactivo";
}

if($estado == "17")
{
   $estado="Detalle Cobro Coactivo";
}

if($estado == "1")
{
   $estado="Sancion";
}

if($estado == "6")
{
   $estado="Acuerdo";
}

if($estado == "8")
{
   $estado="Acuerdo";
}

if($estado == "270")
{
   $estado="Acuerdo Incumplido";
}

                            ?>

                            <tr>
                                <td style="text-align: left;">
                                    <div>
                                        {{ $movimiento->created_at->format('Y-m-d') }}
                                    </div>
                                    <div style="font-size: 0.9em;">
                                        {{ $movimiento->created_at->format('H:i') }}
                                    </div>
                                </td>

                                <td>'{{ $comparendo->numero }}</td>
                                <td>{{ $fechacompa }}</td>
                                <td>{{ $numcc }}</td>
                                <td>{{ $estado }}/{{ $ultimaresolucion }}</td>
                                <td>{{ $tprecaudo }}</td>
<td  style="text-align: right;">{{ number_format($valcompa, 0, '.', '.') }}</td>

<td  style="text-align: right;">{{ number_format($pca, 0, '.', '.') }}</td>

<td  style="text-align: right;">{{ number_format($a, 0, '.', '.') }}</td>
<td  style="text-align: right;">{{ number_format($b, 0, '.', '.') }}</td>
<td  style="text-align: right;">{{ number_format($c, 0, '.', '.') }}</td>
<td  style="text-align: right;">{{ number_format($d, 0, '.', '.') }}</td>

                                <td style="text-align: right;">${{ number_format($factura['intereses'], 0, '.', '.') }}</td>

                                <td  style="text-align: right;">{{ number_format($pia, 0, '.', '.') }}</td>

                                <td style="text-align: right;">${{ number_format($factura['honorarios'], 0, '.', '.') }}</td>
                                <td style="text-align: right;">${{ number_format($factura['sistematizacion'], 0, '.', '.') }}</td>
                                <td style="text-align: right; color: red;">
                            CIA - ${{ number_format($comparendo->calcularDescuento(), 0, '.', '.') }}<br />
                                  {{ $factura['campana_porcentaje'] }}% - ${{ number_format($factura['campana_calculados'], 0, '.', '.') }}<br />
                                  {{ $factura['campana2_porcentaje'] }}% - ${{ number_format($factura['campana2_calculados'], 0, '.', '.') }}
                                </td>
                                <td style="text-align: right; font-weight: bold;">
                                    ${{ number_format($movimiento->valor, 0, '.', '.') }}
                                </td>
                                <td class="ocultar-imprimir" style="text-align: center;">
                                   
                                </td>
                            </tr>
                            @endforeach
                        @endif
                         
                    @endforeach
                
                
                    <tr  style="background-color: #EDE5E4;">
                        <td colspan="4">Total</td>
                        <td style="text-align: right;">${{ number_format($t_1, 0, '.', '.') }}</td>
<td style="text-align: right;">${{ number_format($t_pca, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_a, 0, '.', '.') }}</td>
                        <td style="text-align: right;">
                            ${{ number_format($t_b, 0, '.', '.') }}
                    </td>
                        <td style="text-align: right;">${{ number_format($t_c, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_d, 0, '.', '.') }}</td>   

                        <td style="text-align: right;">${{ number_format($t_2, 0, '.', '.') }}</td>
<td style="text-align: right;">${{ number_format($t_pia, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_3, 0, '.', '.') }}</td>

                        <td style="text-align: right;">${{ number_format($t_4, 0, '.', '.') }}</td>                     
                        <td style="text-align: right; color: red;">${{ number_format($t_5, 0, '.', '.') }}</td>
                        <td style="text-align: right; font-weight: 700;">${{ number_format($t_6, 0, '.', '.') }}</td>
                    </tr>
                </tbody>
            </table>



            
     </div></div>

      </div> </div> </div> </div>



        @else
            @if(Input::has('fecha_inicial'))
            <div class="no-data">
                <div class="no-data-icon">
                    <i class="fa fa-exclamation-triangle"></i>
                </div>

                <div class="no-data-message">
                    No se encontraron registros para este rango de fechas.
                </div>
            </div>
            @endif
        @endif

    </div>


</div>
    

@endsection
