@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'PQR'],
            ['route' => '', 'name' => 'Reporte Recaudo Simit']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.recaudosimit')
    ])
@endsection
@section('content')
    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }
    </style>
    <div class="row">
        <div class="col-md-12 grid-margin">
            <div class="card">
                <div class="card-body">
                    <center><h4>Reporte Recaudo Simit</h4></center>
                    <form action="{{route('reporte.recaudosimit')}}" method="get">
                        <div class="row">


                             <div class="col-md-2">
                                <label>Fecha Inicial</label>
                                <input type="date" class="form-control" name="fecha_busqueda" placeholder="YYYY-MM-DD" value="{{ $fecha_busqueda }}">
                            </div>

                             <div class="col-md-2">
                                <label>Fecha Final</label>
                                <input type="date" class="form-control" name="fecha_busqueda2" placeholder="YYYY-MM-DD" value="{{ $fecha_busqueda2 }}">
                            </div>

                            <div class="col-md-2">
                                <br>
                                <button style="margin-top: 10px !important;" class="btn btn-outline-success">Buscar
                                </button>
                            </div>



                            <div class="col-md-1"></div>
                        </div>
                    </form>
                    <br><br>
                    <div class="row table-responsive">
                        @if($documentos != "[]")
                            <table class="table table-hover">
                                <thead>
                                <tr>
                                    <th scope="col">
                                    Liquidacion/<br>
                                    Comparendo/<br>
                                    Juridiccion</th>

                                    <th scope="col">
                                    Vbase/<br>
                                    VsimitBase/<br>
                                    Vtercero/<br>
                                    Vautoridad</th>


                        <th scope="col">CC Infractor<br>
                        <th scope="col">Nombre Infractor<br>
                        <th scope="col">Fecha Reaudo<br>
                        <th>Sancion/Comparendo</th>
                        <th style="text-align: right;">Valor Comp</th>


                        <th style="text-align: right;">Simit</th>
                        <th style="text-align: right;">Polca</th>    
                        <th style="text-align: right;">Municipio</th>                                                  
                        <th style="text-align: right;">Ett</th>                      


                        <th style="text-align: right;">Intereses</th>
                        <th style="text-align: right;">Tipo/BaseHono</th>
                        <th style="text-align: right;">Honorarios/Adicional</th>
                        <th style="text-align: right;">Sistematización</th>

                        <th style="text-align: right;">Descuento</th>
                        <th style="text-align: right;">Recaudo</th>
                        <th style="text-align: right;">Diferencia</th>   




                                </tr>
                                </thead>
                                <tbody>
                                <!-- Large modal -->
 <?php
/*
Cedula infractor
Nombre infractor
Fecha de pago de comparendo.
Numero de comparendo pagado
Valor pagado.
Valor correspondiente a Simit.
Valor correspondiente a Polca.
Valor adicional
Valor correspondiente al municipio.
Fecha de giro.
Valor girado.
Soporte del giro.
 */

$t_1=0;$t_2=0;$t_3=0;$t_4=0;$t_5=0;$t_6=0;$t_a=0;$t_b=0;$t_c=0;$t_d=0;$t_diferencia=0;

$honorario=App\ParamHonorario::orderby('id', 'desc')->first(); 
?> 


                                @foreach($documentos as $doc)

 <?php
 
  $co=\App\Comparendo::where('numero', $doc->comparendo)->get();
  $no_compa2=0;
  $fec_compa="";
            foreach($co as $comparendo){
                $no_compa2= $comparendo->id;
                $fec_compa= $comparendo->infraccion_fecha;
                $cc= $comparendo->infractor_documento;
                $nom= $comparendo->infractor_nombre;
                $ape= $comparendo->infractor_apellido;
            }   
?>            

        <?php
            $hono=0;
            $inte=0;
            $inte_supuesto=0;
            $compa=0;
            $descu=0;
            $campana=0;
            $campa=0;
            $siste=0;
            $compare="";
            $no_compa="";
            $infra="";
            $cc="";

  $co=\App\Comparendo::where('id', $no_compa2)->get();
            foreach($co as $comparendo){
                $compa = $comparendo->valor;
                if($comparendo->valor>$doc->vrecaudo)
                {
                $descu=$comparendo->valor - $doc->vrecaudo;
                }else
                {
                    $inte = $doc->vrecaudo-$comparendo->valor;
                }
                $no_compa = $comparendo->numero;
                $infra = $comparendo->infraccion_fecha;
                $cc = $comparendo->infractor_documento;
            }
           $fecha_pago="";

            /*$c=\App\ResolucionSimit::where('COL2', $no_compa2)->get();
            foreach($c as $resol){
                if($no_compa=="")
                {
                $no_compa = $resol->COL7;
                }
            }*/

        $intereses_calculados2=0;
        $intereses_calculados=0;
        $campana_calculados =0;
        $valor_honorario=0;
        $valor_sistematizacion=0;  
        $tp ="";  
        $res="";
        $error="";
        $fecha_inicial="";
        $val_compa=0;
            
 $co=\App\Comparendo::where('id', $no_compa2)->get();     
  foreach($co as $comparendo)
  {  
            foreach($comparendo->obtenerResolucion() as $recaudo){
                
                
                $compare = $recaudo->COL7;
                $cc = $recaudo->COL9;
                
               //  $no_compa = $recaudo->COL2;


            $c=\App\ResolucionSimit::where('COL7', $no_compa2)->where('COL5', 1)->get();
            $fecha_inicial=$recaudo->COL4;
            $val_compa=$recaudo->COL23;
            foreach($c as $resol){
                $fecha_inicial=$resol->COL4;
                $val_compa=$resol->COL23;
            }


                 $$fecha_pago=substr($doc->fecharecaudo, 0,10);


               if($recaudo->COL5=="1" || $recaudo->COL5=="270" 
                || $recaudo->COL5=="16"  || $recaudo->COL5=="17")
                {

                    $intereses_calculados = App\Http\Controllers\CajaController::calcularInteresesFecha($fecha_inicial,$val_compa,0,$fecha_pago);
        
                    $sw_f=0;
                         if(substr($comparendo->infracciones,0,1)=="F")
                          {
                              $sw_f=1;
                           }

                    if($fecha_pago>="2019-04-09" && $fecha_pago<="2019-10-31" && $sw_f==0){
                       $campana =($intereses_calculados * 70/100); 
                       $campa=70;
                      }

                        if($fecha_pago>="2018-10-31" && $fecha_pago<="2018-11-15")
                        {
                       $campana =($intereses_calculados * 25/100); 
                       $campa=25;
                        }




                    $descu=0;

                        //$comparendo->intereses=$intereses_calculados;       
                       $valor_honorario2 = $honorario->valor * ($intereses_calculados*1 + $val_compa*1)/100;
                       //$comparendo->campana=$campana;


                               
                               if( $recaudo->COL5=="16"  || $recaudo->COL5=="17")
                               {
                                   //$valor_sistematizacion=$sistematizacion->valor;
                                   //$comparendo->honorarios=$valor_honorario2;
                                   $valor_honorario=$valor_honorario2;
                               }


                               
                               //$comparendo->sistematizacion=$valor_sistematizacion;

                }

                     $tp =$recaudo->COL5;
                     $res =$recaudo->COL2;
                     $error =$recaudo->error_simit;
                     $compa = $val_compa;
                     //$hono = $recaudo->COL17;
                     $inte_supuesto = $doc->vrecaudo-$val_compa;

                     $hono = $valor_honorario;
                     $inte = $intereses_calculados;

            }
  }

                    $t11=$compa;
                    $t12=$inte;
                    $t13=$hono;
                    $t14=$siste;
                    $t15=$descu+$campana;
                    $t16=$doc->vrecaudo;

$t_1=$t_1+$t11;
$t_2=$t_2+$t12;
$t_3=$t_3+$t13;
$t_4=$t_4+$t14;
$t_5=$t_5+$t15;
$t_6=$t_6+$t16;

$organismo = App\Organismo::first();

$a=($compa+$inte-$descu-$campana)*0.1;
$b=(($compa-$descu)+$inte-$campana)*$organismo->porcentajeett;
//$cb="((".$valcompa."-".$comparendo->calcularDescuento().")+".$factura['intereses']."-".$factura['campana_calculados'].")*0.45";
//$c=($compa-$descu)*0.2239;
//$c=  $c + ( $inte - ($inte*0.4522)  );
//$d=($compa-$descu)*0.2239;
$c=($compa-$descu+$inte- $campana -$a - $b)/2;
$d=($compa-$descu+$inte- $campana -$a - $b)/2;

$t_a=$t_a+$a;
$t_b=$t_b+$b;
$t_c=$t_c+$c;
$t_d=$t_d+$d;

$diferencia=$intereses_calculados - $inte_supuesto - $campana ;
$t_diferencia=$t_diferencia+$diferencia;

                            ?>

                                    <tr>
                                        <td>
                                        {{$doc->liquidacion}}/<br>
                                        {{$doc->comparendo}}/<br>
                                        {{$doc->juridiccion}}</td>

                                        <td>
                                        {{$doc->vbase}}/<br>
                                        {{$doc->vsimitbase}}/<br>
                                        {{$doc->vtercero}}/<br>
                                        {{$doc->vautoridad}}</td>

                                        <td>{{$doc->identificacion}}/<br>{{$cc}}</td>
                                        <td>{{$nom}}<br>{{$ape}}</td>


                                        <td><b>{{substr($doc->fecharecaudo, 0,10)}}</b></td>

                                <td>RS={{$fecha_inicial}}/<br>Id:{{$no_compa2}}
                                   <br>FechaCompa:{{ $fec_compa}}/<br>
                                       {{ $res}}/<br>
                                       {{ $error}}
                                    </td>

<td  style="text-align: right;" >{{ number_format($compa, 0, '.', '.') }}</td>

<td  style="text-align: right;">{{ number_format($a, 0, '.', '.') }}</td>
<td  style="text-align: right;">{{ number_format($d, 0, '.', '.') }}</td>
<td  style="text-align: right;">{{ number_format($c, 0, '.', '.') }}</td>
<td  style="text-align: right;">{{ number_format($b, 0, '.', '.') }}</td>



                                <td style="text-align: right;" title="Intereses">
                                    Calculado:{{ number_format($inte, 0, '.', '.') }}<br>
                                    Supuesto:{{ number_format($inte_supuesto, 0, '.', '.') }}
                                </td>
                                <td style="text-align: right;" title="Honorario">
                                    Tp:{{$tp}}/<br>{{ number_format($val_compa, 0, '.', '.') }}</td>

                                <td style="text-align: right;" title="Honorario">
                                    {{ number_format($hono, 0, '.', '.') }}/<br>{{$doc->vadicional}}</td>
                                <td style="text-align: right;" title="Sistematizacion">
                                {{ number_format($siste, 0, '.', '.') }}</td>
                                <td style="text-align: right; color: red;">
                                     ${{ number_format($descu, 0, '.', '.') }}<br>
                                     Campa %: ${{ number_format($campana, 0, '.', '.') }}

                                </td>
                                <td style="text-align: right; font-weight: bold;">
                                    ${{ number_format($doc->vrecaudo, 0, '.', '.') }}
                                </td>
                                <td style="text-align: right; font-weight: bold;">
                                    ${{ number_format($diferencia, 0, '.', '.') }}
                                </td>


                                    </tr>
                                @endforeach

                    <tr  style="background-color: #EDE5E4;">
                        <td colspan="6">Total</td>
                        <td style="text-align: right;">${{ number_format($t_1, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_a, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_d, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_c, 0, '.', '.') }}</td>   
                        <td style="text-align: right;">${{ number_format($t_b, 0, '.', '.') }}</td>


                        <td style="text-align: right;">${{ number_format($t_2, 0, '.', '.') }}</td>
                        <td style="text-align: right;">-</td>
                        <td style="text-align: right;">${{ number_format($t_3, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_4, 0, '.', '.') }}</td>                     
                        <td style="text-align: right; color: red;">${{ number_format($t_5, 0, '.', '.') }}</td>
                        <td style="text-align: right; font-weight: 700;">${{ number_format($t_6, 0, '.', '.') }}</td>
                        <td style="text-align: right; font-weight: 700;">${{ number_format($t_diferencia, 0, '.', '.') }}</td>
                    </tr>

                                </tbody>
                            </table>
                           
                        @else
                            <div class="col-md-4"></div>
                            <center><b></b></center>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
