@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Reporte Recuperacion Cartera']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.recuperacioncartera')
    ])
@endsection
@section('content')

    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }

    </style>

    <div class="row">
        <div class="col-md-12 grid-margin">

<?php
    $fi=Carbon\Carbon::now()->format('Y-m-d') ;
    $fi2=$fi;
    if(Input::has('fecha_inicial'))
     {
       $fi=Input::get('fecha_inicial') ;
       //$fi2=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 
    $ff=30; // Carbon\Carbon::now()->format('Y-m-d') ;
    if(Input::has('fecha_final'))
     {
       $ff=Input::get('fecha_final') ;
       //$fi=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 

    //$fi3 = new Carbon\Carbon($fi)->format('Y-m-d');
    //$fdia = $fi3->subDay($ff);

//$infra = App\Comparendo::where('infraccion_fecha','>=',$fdia)->where('infraccion_fecha','<=',$fi)->count();
/*foreach($nomtramites as $nomtramite)
{
$tra=$nomtramite->nombre;
}*/

?>

    <div class="card">
        <div class="card-body">
                <form class="ui form" method="GET" action="{{ route('reporte.recuperacioncartera') }}">
                    {{csrf_field()}}
                <div class="row">


                    <div class="col-md-3">
                        <label>
                            FECHA
                        </label>
                        <input type="date" class="form-control" 
                                name="fecha_inicial"
                                id="fecha_inicial" value="{{ $fi }}">
                    </div>

                    <div class="col-md-3">
                        <label>
                            DIAS
                        </label>
                        <input class="form-control" type="text"
                                name="fecha_final"
                                id="fecha_final" value="{{ $ff }}" >
                    </div>

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">CONSULTAR</button>
                    </div>
                 </div>   
                </form>
            </div>


        </div>



<div class="row">
 <div class="col-md-12 grid-margin">
 <div class="card">
 <div class="card-body text-right">


</div></div></div></div>

<div class="row">
 <div class="col-md-12 grid-margin">
 <div class="card">
 <div class="card-body">

<div class="row">


            <div class="flex flex-alineado-centro flex-justificado-espaciado-entre">
                <div class="resumen caja-reporte">
                    <h3>Estadisticas Recuperacion de Cartera</h3>
                </div>
            </div>

            <div class="spacer"></div>
            <div class="spacer"></div>

<div class="row table-responsive">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th >Infracciones</th>
                        <th style="text-align: right;">{{ $infra }}</th>
                    </tr>
                    <tr>                         
                        <th>Valor Total Infracciones</th>
                        <th style="text-align: right;">$ {{  number_format($valinfra, 0, '.', '.') }}</th>
                    </tr>   
                    <tr>                        
                        <th >Cantidad Pagadas</th>
                        <th style="text-align: right;">{{ $cantinfrapaga }}</th>
                    </tr>  
                    <tr>                        
                        <th >Descuentos</th>
                        <th style="text-align: right;">$ {{  number_format($descuentos, 0, '.', '.') }}</th>
                    </tr>                      
                    <tr>                        
                        <th >Valor Recaudo</th>
                        <th style="text-align: right;">$ {{  number_format($infrapaga, 0, '.', '.') }}</th>
                    </tr>    

                    <tr>                        
                        <th >% Recuperacion Comparendos</th>
                        <th style="text-align: right;">{{ $p2 }} %</th>
                    </tr>  
                    <tr>                        
                        <th >% Recuperacion Recaudo</th>
                        <th style="text-align: right;">{{ $p1 }} %</th>
                    </tr>   
                    <tr>                        
                        <th >% Recuperacion Recaudo+Descuento</th>
                        <th style="text-align: right;">{{ $p3 }} %</th>
                    </tr>                     
                </thead>
             
            </table>



     </div></div>

      </div> </div> </div> </div>





    </div>


</div>
    

@endsection
