<?php

namespace App\Console\Commands;

use App\Ciudadano;
use App\Comparendo;
use App\ComparendoCurso;
use App\Campana;
use App\ResolucionSimit;
use App\ParamHonorario;
use App\ParamSistematizacion;
use App\Http\Controllers\CajaController;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;
use App\Asancionar;
use Illuminate\Support\Facades\Artisan;

class ASanciona extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'simit:sancionar';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Sanciones ';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $c = 0;


           //\DB::table('comparendos_vivos')->truncate();

            //where('infraccion_fecha','like','2018%')->
            Asancionar::where('procesada',0)->chunk(100, function($comparendos) use (&$c){
            foreach($comparendos as $comparendo){
                $c++;

          $compa= Comparendo::where('numero',$comparendo->numero)->first();
          $cursos= ComparendoCurso::where('col4',$comparendo->numero)->get();
          $swc=0;
          foreach($cursos as $curso){
            $swc=1;
          }

          if($swc==0){

          /*Artisan::call('resolucion:sancion', [
              'id_comparendo' => $compa->id,
              'fecha' => $comparendo->fecha
          ]);
          $this->info("Generando:".$comparendo->numero."-".Artisan::output());  
          */ 

          /*
          Artisan::call('resolucion:mandamiento', [
              'id_comparendo' => $compa->id,
              'fecha' => $comparendo->fecha
          ]);
          $this->info("Generando:".$comparendo->numero."-".Artisan::output());  
          */

          $resol= ResolucionSimit::where('COL7',$comparendo->numero)
          ->where('COL5',16)->first();

          Artisan::call('mandamiento:start', [
              'id_resolucion' => $resol->id,
              'medio' => 'c',
              'banner' => 'old',
              'carta_persuasivo' => ''
          ]);
          $this->info("Generando RPM:".$resol->id."-".Artisan::output());

           
                   
          }else
          {
              $this->line("Con curso:".$comparendo->numero);
              $comparendo->curso="Si";
          }

           $comparendo->procesada=1;
           $comparendo->save();
                              
                }

        });
    }
}
