<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Comparendo;
use App\AcuerdoPago;
use App\ResolucionSimit;
use App\ComparendoSimit;
use App\ResolucionSimitError;
use App\ResolucionSimitErrorDetalle;
use App\RecaudoSimit;
use App\Transaccion;
use Carbon\Carbon;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\DB;

class AcuerdosPago extends Command
{
  /**
   * The name and signature of the console command.
   *
   * @var string
   */

  protected $signature = 'acuerdospago';

  /**
   * The console command description.
   *
   * @var string
   */
  protected $description = 'Este comando distribuye los intereses, sistematizacion y honorarios.';

  /**
   * Create a new command instance.
   *
   * @return void
   */
  public function __construct()
  {
      parent::__construct();
  }

  /**
   * Execute the console command.
   *
   * @return mixed
   */
  public function handle()
  {
 
        $chunks = AcuerdoPago::where('id','>',0)->get()->chunk(100);
        $c = 0;
        foreach($chunks as $vehiculos){
            foreach($vehiculos as $vehiculo){

                $c++;
				$this->line("============================================================");
                $this->line("{$c}. CONSULTANDO {$vehiculo->comparendo_resolucion}");
                
                        $compare = Comparendo::where('numero',$vehiculo->comparendo_resolucion )->first();
 						$items=Transaccion::where('factura','like', '%"comparendos":['.$compare->id.']%')->get();
						$i=1;
						$compare->pagos=0;
						
                        foreach ($items as $item) {
							$factura = json_decode($item->factura, true);
							//$item->id_comparendo=$factura['comparendos']*1;
							$item->acuerdo=$vehiculo->id;
							$item->cuota=$i;
							$compare->pagos=$compare->pagos+$item->valor;
							
							if($i==1)
							    {
									//$factura['intereses']=$vehiculo->intereses-$vehiculo->saldoi;
									//$factura['intereses']=$vehiculo->intereses;
									
                                    $hono=0;

									if($vehiculo->honorarios>0)
									{
										$hono=(($item->valor - $vehiculo->sistematizacion)/1.15)*0.15;
										$vehiculo->saldoh=$vehiculo->honorarios-$hono;
									}

									$factura['honorarios']=$hono;
									//$factura['honorarios']=(($item->valor-$vehiculo->sistematizacion)/1.15)*0.15;
									

									$siste=0;
									if($vehiculo->sistematizacion>0)
									{
										$siste=$vehiculo->sistematizacion;
									}
									$factura['sistematizacion']=$siste;

                                    $valor=$item->valor-$hono-$siste;

									
									if($valor >= $vehiculo->intereses)
									{
									//$factura['intereses']=$saldoi;
									$factura['intereses']=$vehiculo->intereses;
									$saldoi=0;
									}else
									{
									$factura['intereses']=$valor;
									$saldoi=$vehiculo->intereses-$valor;	
										}
									$vehiculo->saldoi=$saldoi;
									$vehiculo->saldos=0;
									//$saldoi=$vehiculo->saldoi;
									$item->factura = json_encode($factura);
									$this->line("{$c}. intereses {$factura['intereses']}");
									$this->line("{$c}. honorarios {$factura['honorarios']}");
									$this->line("{$c}. sistematizacion {$factura['sistematizacion']}");
								}


							if($i>1)
							    {
									$factura['sistematizacion']=0;


                                    $hono=0;
									if($vehiculo->honorarios>0)
									{
										$hono=($item->valor/1.15)*0.15;
										if($vehiculo->saldoh>=$hono)
										{
											$vehiculo->saldoh=$vehiculo->saldoh-$hono;
										}else
										{
											$vehiculo->saldoh=0;
											$hono=$vehiculo->saldoh;
										}
										
									}

									$factura['honorarios']=$hono;

                                    
									$valor=$item->valor-$hono;

									if($valor>=$saldoi)
									{
									$factura['intereses']=$saldoi;
									$saldoi=0;
									}else
									{
									$factura['intereses']=$valor;
									$saldoi=$saldoi-$valor;	
										}
									$vehiculo->saldoi=$saldoi;
									$item->factura = json_encode($factura);
								}
							
							$item->save(); 
							$i=$i+1;
                        }
                        $compare->save(); 
											
						$vehiculo->save();               
   
			}
		}
					
  }//fin handle
  
  
  
}
