<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Comparendo;
use App\ResolucionSimit;
use App\RecaudoSimit;
use Carbon\Carbon;
use Illuminate\Support\Collection;
use App\Banco;
use Illuminate\Support\Facades\DB;

class DepuracionDesembargos extends Command
{
  /**
   * The name and signature of the console command.
   *
   * @var string
   */

  protected $signature = 'depuracion:desembargo';

  /**
   * The console command description.
   *
   * @var string
   */
  protected $description = 'Realiza listado de los desembargos';

  /**
   * Create a new command instance.
   *
   * @return void
   */
  public function __construct()
  {
      parent::__construct();
  }

  /**
   * Execute the console command.
   *
   * @return mixed
   */
  public function handle()
  {
    DB::table('comparendos')->where('revisado_auxiliar', '=', 1)->where('pagos', '=', -1)->update(array('revisado_auxiliar' => 0));
    $comparendos = Comparendo::where('pagos','-1')->get();
    foreach ($comparendos as $comparendo) {
      if($comparendo->recaudo_externo > 0 || $comparendo->recaudo_local > 0){
        $comparendo->pagos = '0';
        $this->line("DESCARTADO... " . $comparendo->numero);
      }
      $comparendo->revisado_auxiliar = 1;
      $comparendo->save();
    }
    /*$bancos = Banco::all();
    do {
      foreach ($bancos as $banco) {
        $oficio = \App\ComparendoOficio::where('banco', '0')->first();
        $oficio->banco = $banco->nombre;
        $oficio->save();
        $this->line("Oficio modificado... " . $oficio->nombre_documento);
      }
    } while (true);*/




    /*do {
      $resoluciones = ResolucionSimit::getResolucionesDesembargo()
                      ->where('embargo', '=', '1')
                      ->where('pago', '=', '1')
                      ->where('para_revisiones', '=', '0')->limit(200)->get();

      foreach ($resoluciones as $resolucion) {
        $sumaRecaudo = 0;
        $acuerdo = ResolucionSimit::where('COL5', '=', '6')->where('COL7', '=', $resoluciones->COL7)->first();
        if($acuerdo != null){

        }
        $comparendos = Comparendo::where('es_recaudo_minimo', '=', '0')->where('revisado_auxiliar', '=', '0')->limit(200)->get();
        if(count($resoluciones) > 0){
          foreach ($resoluciones as $resolucion) {
            $recaudos = RecaudoSimit::where('C10', '=', $resolucion->COL2)
                                    ->orWhere('C10', '=', $resolucion->COL2)
                                    ->orWhere('C15', '=', $resolucion->COL2)
                                    ->orWhere('C16', '=', $resolucion->COL2)
                                    ->orWhere('C10', '=', $comparendo->numero)
                                    ->orWhere('C15', '=', $comparendo->numero)
                                    ->orWhere('C16', '=', $comparendo->numero)
                                    ->get();
            foreach ($recaudos as $recaudo) {
              $sumaRecaudo = $recaudo->C9 + $sumaRecaudo;
            }
          }
          //validar si de las resoluciones mas recientes se encuentra en incumplir AP
          foreach ($resoluciones as $resolucion) {
            if($resolucion->COL5 == '9'){
              $sumaRecaudo = 0;break;
            }
          }
        }else{
          $recaudos = RecaudoSimit::where('C10', '=',  $comparendo->numero)
                                  ->orWhere('C15', '=', $comparendo->numero)
                                  ->orWhere('C16', '=', $comparendo->numero)->get();
          foreach ($recaudos as $recaudo) {
            $sumaRecaudo = $recaudo->C9 + $sumaRecaudo;
          }

        }
        $comparendoActualizar = Comparendo::find($comparendo->id);
        if($sumaRecaudo > 0){
          $this->line("sumaRecaudo: " . $sumaRecaudo);
          $comparendoActualizar->es_recaudo_minimo = 1;
          $this->line("COMP: " . $comparendo->numero);
        }
        $comparendoActualizar->revisado_auxiliar = 1;
        $comparendoActualizar->save();
      }
    } while (count($comparendos) > 0);*/
  }
}
