<?php
namespace App\Console\Commands;
use App\Ciudadano;
use App\Comparendo;
use App\Campana;
use App\Festivos;
use App\ResolucionSimit;
use App\ParamHonorario;
use App\ParamSistematizacion;
use App\Http\Controllers\CajaController;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;
use App\ComparendoVivo;
use App\ComparendoExpediente;
use DateTime;
use Session;
use Illuminate\Support\Facades\Mail;

class EnvioMsjPersuasivo extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'proceso:msjpresuasivo {comparendo}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Proceso Envio Msj persuacivo';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $c = 0;

           $NumCompa = $this->argument('comparendo');
          $campara="like";
           if($NumCompa=="0")
           {
              $campara="<>";
           }

            //where('infraccion_fecha','like','2018%')->
            ComparendoVivo::where('numero',$campara,$NumCompa)->where('porcentajeprontopago','<>',0)->chunk(100, function($comparendos) use (&$c,&$NumCompa){
               $array = [];
            foreach($comparendos as $comparendo){
                $c++;

$this->line("{$c}. - {$comparendo->numero} - id:{$comparendo->id}.. {$comparendo->porcentajeprontopago}");


if($comparendo->porcentajeprontopago=="50" && $comparendo->msjemail!="0" && $comparendo->msjemail!=null)
{

       /* \Session::put('email_e', $comparendo->msjemail);
        $dta = array(
            'id' => $comparendo->id,
            'codigo_email' => $comparendo->numero,
            'email' => $comparendo->msjemail,
            'fecha' => $comparendo->infraccion_fecha,
            'nombre' => $comparendo->infractor_nombre. " " . $comparendo->infractor_apellido
        );
 
        Mail::send('emails.msj50', $dta, function ($message){
            $noreply = env('MAIL_USERNAME');
            $message->from($noreply, 'Transito '.env('TRANSITO'));
            $message->to(\Session::get('email_e'))->subject('DESCUENTO DE LEY DEL 50% COMPARENDO SECRETARIA DE TRANSITO '.env('TRANSITO')) ;
        });
      sleep(1);
        Mail::send('emails.msj50', $dta, function ($message){
            $noreply = env('MAIL_USERNAME');
            $message->from($noreply, 'Transito '.env('TRANSITO'));
            $message->to(env('MAIL_COPIA'))->subject('DESCUENTO DE LEY DEL 50% COMPARENDO SECRETARIA DE TRANSITO '.\Session::get('email_e')) ;
        });
   
     $this->line(" MSJ Enviados Satisfactoriamente! ".  $comparendo->msjemail);
     sleep(1);    */     
}

if($comparendo->porcentajeprontopago=="50" && $comparendo->msjemail2!="0" && $comparendo->msjemail2!=null)
{

     /*   \Session::put('email_e', $comparendo->msjemail2);
        $dta = array(
            'id' => $comparendo->id,
            'codigo_email' => $comparendo->numero,
            'email' => $comparendo->msjemail2,
            'fecha' => $comparendo->infraccion_fecha,
            'nombre' => $comparendo->infractor_nombre. " " . $comparendo->infractor_apellido
        );
 
        Mail::send('emails.msj50', $dta, function ($message){
            $noreply = env('MAIL_USERNAME');
            $message->from($noreply, 'Transito '.env('TRANSITO'));
            $message->to(\Session::get('email_e'))->subject('DESCUENTO DE LEY DEL 50% COMPARENDO SECRETARIA DE TRANSITO '.env('TRANSITO')) ;
        });
      sleep(1);
        Mail::send('emails.msj50', $dta, function ($message){
            $noreply = env('MAIL_USERNAME');
            $message->from($noreply, 'Transito '.env('TRANSITO'));
            $message->to(env('MAIL_COPIA'))->subject('DESCUENTO DE LEY DEL 50% COMPARENDO SECRETARIA DE TRANSITO '.\Session::get('email_e')) ;
        });
   
     $this->line(" MSJ Enviados Satisfactoriamente! ".  $comparendo->msjemail2);
     sleep(1); */        
}

if($comparendo->porcentajeprontopago=="50" && $comparendo->msjtelefono!="0" && $comparendo->msjtelefono!=null)
{
  $msj="Hola " . $comparendo->infractor_nombre  . ", El OT ".env('TRANSITO').", le informa que le fue impuesto el comparendo No: ". 
$comparendo->numero . ", le invitamos ha acogerse al descuento de 50 % y pagar a este OT solo $ ".
 number_format($comparendo->total_deuda, 0, ",", ".") . ". Paga inmediatamente ingresando a  ".env('PAGINA')." Call Center 3125507289 -Solo Whatsapp";

array_push($array, (object) array(
              'numero' => "57".$comparendo->msjtelefono,
              'sms' => $msj
               ));

/*array_push($array, (object) array(
              'numero' => "573104130738",
              'sms' => $msj
               ));*/

if($c<5)
{
array_push($array, (object) array(
              'numero' => "573232326905",
              'sms' => $msj
               ));  
}


/*array_push($array, (object) array(
              'numero' => "573232326905",
              'sms' => $msj
               ));*/
/*
  $ch=curl_init();
$post = array(
'account' => '10018129', //número de usuario
'apiKey' => 'MgzB4z7wDBu9VecE87Wh1y3uJcVvGi', //clave API del usuario
'token' => 'cb96581553a78bce13b50f1322d4b1d5', // Token de usuario
'toNumber' => '57'.$comparendo->msjtelefono, //número de destino
'sms' => 'El art 136 ley 762 del 2002, Le otorga un descuento del 50%, 
si realiza el pago de la multa y el curso a las normas de transito, los primeros 5 dias habiles. 
OT '.env('TRANSITO').': '. $comparendo->numero . '. 
Ingrese a '.env('PAGINA').' o contácte al WhatsApp +573125507289',
'flash' => '0', //mensaje tipo flash
'sendDate'=> time(), //fecha de envío del mensaje
'isPriority' => 0, //mensaje prioritario
'sc'=> '890202', // 899991 código corto para envío del mensaje de texto
'request_dlvr_rcpt' => 0, //mensaje de texto con confirmación de entrega al celular
);

$url = "https://api101.hablame.co/api/sms/v2.1/send/"; //endPoint: Primario
curl_setopt ($ch,CURLOPT_URL,$url) ;
curl_setopt ($ch,CURLOPT_POST,1);
curl_setopt ($ch,CURLOPT_POSTFIELDS, $post);
curl_setopt ($ch,CURLOPT_RETURNTRANSFER, true);
curl_setopt ($ch,CURLOPT_CONNECTTIMEOUT ,3);
curl_setopt ($ch,CURLOPT_TIMEOUT, 20);
$response= curl_exec($ch);
curl_close($ch);
$response= json_decode($response ,true) ;

//La respuesta estará alojada en la variable $response

if ($response["status"]== '1x000' ){
$c1= 'El SMS se ha enviado exitosamente con el ID: '.$response["smsId"];
  //  Session::put('alert_title', 'Registrado');
  //  Session::put('alert_type', 'success');
  //  Session::put('alert_message', $c1);
} else {
$c1= 'Ha ocurrido un error:'.$response["error_description"].'('.$response ["status" ]. ')';
   // Session::put('alert_title', 'Error');
    //Session::put('alert_type', 'error');
   // Session::put('alert_message', $c1);
}


sleep(1);*/
$this->line(" MSJ 50% tel 1 Enviados Satisfactoriamente! ". $comparendo->msjtelefono );
}

if($comparendo->porcentajeprontopago=="50" && $comparendo->msjtelefono2!="0" && $comparendo->msjtelefono2!=null  && $comparendo->msjtelefono2!=$comparendo->msjtelefono)
{

  $msj="Hola " . $comparendo->infractor_nombre  . ", El OT ".env('TRANSITO').", le informa que le fue impuesto el comparendo No: ". 
$comparendo->numero . ", le invitamos ha acogerse al descuento de 50 % y pagar a este OT solo $ ".
 number_format($comparendo->total_deuda, 0, ",", ".") . ". Paga inmediatamente ingresando a  ".env('PAGINA')." Call Center 3125507289 -Solo Whatsapp";

array_push($array, (object) array(
              'numero' => "57".$comparendo->msjtelefono2,
              'sms' => $msj
               ));

/*
  $ch=curl_init();
$post = array(
'account' => '10018129', //número de usuario
'apiKey' => 'MgzB4z7wDBu9VecE87Wh1y3uJcVvGi', //clave API del usuario
'token' => 'cb96581553a78bce13b50f1322d4b1d5', // Token de usuario
'toNumber' => '57'.$comparendo->msjtelefono2, //número de destino
'sms' => 'El art 136 ley 762 del 2002, Le otorga un descuento del 50%, 
si realiza el pago de la multa y el curso a las normas de transito, los primeros 5 dias habiles. 
OT '.env('TRANSITO').': '. $comparendo->numero . '. 
Ingrese a '.env('PAGINA').' o contácte al WhatsApp +573125507289',
'flash' => '0', //mensaje tipo flash
'sendDate'=> time(), //fecha de envío del mensaje
'isPriority' => 0, //mensaje prioritario
'sc'=> '890202', // 899991 código corto para envío del mensaje de texto
'request_dlvr_rcpt' => 0, //mensaje de texto con confirmación de entrega al celular
);

$url = "https://api101.hablame.co/api/sms/v2.1/send/"; //endPoint: Primario
curl_setopt ($ch,CURLOPT_URL,$url) ;
curl_setopt ($ch,CURLOPT_POST,1);
curl_setopt ($ch,CURLOPT_POSTFIELDS, $post);
curl_setopt ($ch,CURLOPT_RETURNTRANSFER, true);
curl_setopt ($ch,CURLOPT_CONNECTTIMEOUT ,3);
curl_setopt ($ch,CURLOPT_TIMEOUT, 20);
$response= curl_exec($ch);
curl_close($ch);
$response= json_decode($response ,true) ;

//La respuesta estará alojada en la variable $response

if ($response["status"]== '1x000' ){
$c1= 'El SMS se ha enviado exitosamente con el ID: '.$response["smsId"];
  //  Session::put('alert_title', 'Registrado');
  //  Session::put('alert_type', 'success');
  //  Session::put('alert_message', $c1);
} else {
$c1= 'Ha ocurrido un error:'.$response["error_description"].'('.$response ["status" ]. ')';
   // Session::put('alert_title', 'Error');
    //Session::put('alert_type', 'error');
   // Session::put('alert_message', $c1);
}


sleep(1);*/
$this->line(" MSJ 50% tel 2 Enviados Satisfactoriamente! ". $comparendo->msjtelefono2 );
}

if($comparendo->porcentajeprontopago=="25" && $comparendo->msjemail!="0" && $comparendo->msjemail!=null)
{
    /*    \Session::put('email_e', $comparendo->msjemail);
        $dta = array(
            'id' => $comparendo->id,
            'codigo_email' => $comparendo->numero,
            'email' => $comparendo->msjemail,
            'fecha' => $comparendo->infraccion_fecha,
            'nombre' => $comparendo->infractor_nombre. " " . $comparendo->infractor_apellido
        );
 
        Mail::send('emails.msj25', $dta, function ($message){
            $noreply = env('MAIL_USERNAME');
            $message->from($noreply, 'Transito '.env('TRANSITO'));
            $message->to(\Session::get('email_e'))->subject('DESCUENTO DE LEY DEL 25% COMPARENDO SECRETARIA DE TRANSITO ') ;
        });
        sleep(1);

        Mail::send('emails.msj25', $dta, function ($message){
            $noreply = env('MAIL_USERNAME');
            $message->from($noreply, 'Transito '.env('TRANSITO'));
            $message->to(env('MAIL_COPIA'))->subject('DESCUENTO DE LEY DEL 25% COMPARENDO SECRETARIA DE TRANSITO :'.\Session::get('email_e')) ;
        });

        $this->line(" MSJ Enviados Satisfactoriamente! ".  $comparendo->msjemail);
        sleep(1);*/
}

if($comparendo->porcentajeprontopago=="25" && $comparendo->msjemail2!="0" && $comparendo->msjemail2!=null)
{
    
    /*    \Session::put('email_e', $comparendo->msjemail2);
        $dta = array(
            'id' => $comparendo->id,
            'codigo_email' => $comparendo->numero,
            'email' => $comparendo->msjemail2,
            'fecha' => $comparendo->infraccion_fecha,
            'nombre' => $comparendo->infractor_nombre. " " . $comparendo->infractor_apellido
        );
 
        Mail::send('emails.msj25', $dta, function ($message){
            $noreply = env('MAIL_USERNAME');
            $message->from($noreply, 'Transito '.env('TRANSITO'));
            $message->to(\Session::get('email_e'))->subject('DESCUENTO DE LEY DEL 25% COMPARENDO SECRETARIA DE TRANSITO ') ;
        });
        sleep(1);

        Mail::send('emails.msj25', $dta, function ($message){
            $noreply = env('MAIL_USERNAME');
            $message->from($noreply, 'Transito '.env('TRANSITO'));
            $message->to(env('MAIL_COPIA'))->subject('DESCUENTO DE LEY DEL 25% COMPARENDO SECRETARIA DE TRANSITO :'.\Session::get('email_e')) ;
        });
        $this->line(" MSJ Enviados Satisfactoriamente! ".  $comparendo->msjemail2);
        sleep(1);*/
}

if($comparendo->porcentajeprontopago=="25" && $comparendo->msjtelefono!="0" && $comparendo->msjtelefono!=null  )
{

$msj="Hola " . $comparendo->infractor_nombre  . ", El OT ".env('TRANSITO').", le informa que le fue impuesto el comparendo No: ". 
$comparendo->numero . ", le invitamos ha acogerse al descuento de 25 % y pagar a este OT solo $ ".
 number_format($comparendo->total_deuda, 0, ",", ".") . ". Paga inmediatamente ingresando a  ".env('PAGINA')." Call Center 3125507289 -Solo Whatsapp";

array_push($array, (object) array(
              'numero' => "57".$comparendo->msjtelefono,
              'sms' => $msj
               ));
/*array_push($array, (object) array(
              'numero' => "573104130738",
              'sms' => $msj
               ));*/

if($c<5)
{
array_push($array, (object) array(
              'numero' => "573232326905",
              'sms' => $msj
               ));  
}
/*array_push($array, (object) array(
              'numero' => "573232326905",
              'sms' => $msj
               ));*/
/*
$ch=curl_init();
$post = array(
'account' => '10018129', //número de usuario
'apiKey' => 'MgzB4z7wDBu9VecE87Wh1y3uJcVvGi', //clave API del usuario
'token' => 'cb96581553a78bce13b50f1322d4b1d5', // Token de usuario
'toNumber' => '57'.$comparendo->msjtelefono, //número de destino
'sms' => 'El art 136 ley 762 del 2002, Le otorga un descuento del 25%, 
    si realiza el pago de la multa y el curso a las normas de transito, los primeros 25 dias habiles. 
    OT '.env('TRANSITO').': '. $comparendo->numero . '. 
    Ingrese a '.env('PAGINA').' o contácte al WhatsApp +573125507289',
'flash' => '0', //mensaje tipo flash
'sendDate'=> time(), //fecha de envío del mensaje
'isPriority' => 0, //mensaje prioritario
'sc'=> '890202', //código corto para envío del mensaje de texto
'request_dlvr_rcpt' => 0, //mensaje de texto con confirmación de entrega al celular
);

$url = "https://api101.hablame.co/api/sms/v2.1/send/"; //endPoint: Primario
curl_setopt ($ch,CURLOPT_URL,$url) ;
curl_setopt ($ch,CURLOPT_POST,1);
curl_setopt ($ch,CURLOPT_POSTFIELDS, $post);
curl_setopt ($ch,CURLOPT_RETURNTRANSFER, true);
curl_setopt ($ch,CURLOPT_CONNECTTIMEOUT ,3);
curl_setopt ($ch,CURLOPT_TIMEOUT, 20);
$response= curl_exec($ch);
curl_close($ch);
$response= json_decode($response ,true) ;

//La respuesta estará alojada en la variable $response

if ($response["status"]== '1x000' ){
$c1= 'El SMS se ha enviado exitosamente con el ID: '.$response["smsId"];
  //  Session::put('alert_title', 'Registrado');
  //  Session::put('alert_type', 'success');
  //  Session::put('alert_message', $c1);
} else {
$c1= 'Ha ocurrido un error:'.$response["error_description"].'('.$response ["status" ]. ')';
   // Session::put('alert_title', 'Error');
    //Session::put('alert_type', 'error');
   // Session::put('alert_message', $c1);
}


sleep(1);*/
$this->line(" MSJ 25% tel 1 Enviados Satisfactoriamente! ". $comparendo->msjtelefono );
}



if($comparendo->porcentajeprontopago=="25" && $comparendo->msjtelefono2!="0" && $comparendo->msjtelefono2!=null && $comparendo->msjtelefono2!=$comparendo->msjtelefono)
{

$msj="Hola " . $comparendo->infractor_nombre  . ", El OT ".env('TRANSITO').", le informa que le fue impuesto el comparendo No: ". 
$comparendo->numero . ", le invitamos ha acogerse al descuento de 25 % y pagar a este OT solo $ ".
 number_format($comparendo->total_deuda, 0, ",", ".") . ". Paga inmediatamente ingresando a  ".env('PAGINA')." Call Center 3125507289 -Solo Whatsapp";

/*   $cade25=$cade25 . "{'numero': '".$comparendo->msjtelefono2. "','sms': '" . $msj . "'},";*/

array_push($array, (object) array(
              'numero' => "57".$comparendo->msjtelefono2,
              'sms' => $msj
               ));

/*
$ch=curl_init();
$post = array(
'account' => '10018129', //número de usuario
'apiKey' => 'MgzB4z7wDBu9VecE87Wh1y3uJcVvGi', //clave API del usuario
'token' => 'cb96581553a78bce13b50f1322d4b1d5', // Token de usuario
'toNumber' => '57'.$comparendo->msjtelefono2, //número de destino
'sms' => 'El art 136 ley 762 del 2002, Le otorga un descuento del 25%, 
    si realiza el pago de la multa y el curso a las normas de transito, los primeros 25 dias habiles. 
    OT '.env('TRANSITO').': '. $comparendo->numero . '. 
    Ingrese a '.env('PAGINA').' o contácte al WhatsApp +573125507289',
'flash' => '0', //mensaje tipo flash
'sendDate'=> time(), //fecha de envío del mensaje
'isPriority' => 0, //mensaje prioritario
'sc'=> '890202', //código corto para envío del mensaje de texto
'request_dlvr_rcpt' => 0, //mensaje de texto con confirmación de entrega al celular
);

$url = "https://api101.hablame.co/api/sms/v2.1/send/"; //endPoint: Primario
curl_setopt ($ch,CURLOPT_URL,$url) ;
curl_setopt ($ch,CURLOPT_POST,1);
curl_setopt ($ch,CURLOPT_POSTFIELDS, $post);
curl_setopt ($ch,CURLOPT_RETURNTRANSFER, true);
curl_setopt ($ch,CURLOPT_CONNECTTIMEOUT ,3);
curl_setopt ($ch,CURLOPT_TIMEOUT, 20);
$response= curl_exec($ch);
curl_close($ch);
$response= json_decode($response ,true) ;

//La respuesta estará alojada en la variable $response

if ($response["status"]== '1x000' ){
$c1= 'El SMS se ha enviado exitosamente con el ID: '.$response["smsId"];
  //  Session::put('alert_title', 'Registrado');
  //  Session::put('alert_type', 'success');
  //  Session::put('alert_message', $c1);
} else {
$c1= 'Ha ocurrido un error:'.$response["error_description"].'('.$response ["status" ]. ')';
   // Session::put('alert_title', 'Error');
    //Session::put('alert_type', 'error');
   // Session::put('alert_message', $c1);
}


sleep(1);*/
$this->line(" MSJ 25% tel 2 Enviados Satisfactoriamente! ". $comparendo->msjtelefono2);
}


    }

/*
curl --request POST \
  --url https://api103.hablame.co/api/sms/v3/send/marketing/bulk \
  --header 'Content-Type: application/json' \
  --header 'account: ' \
  --data '{
      "flash": 0,
      "sc": "890202",
      "request_dlvr_rcpt": 0,
      "sendDate": "1599158819",
  "bulk": [
    {
      "numero": "573001118888",
      "sms": "SMS de prueba Hablame"
    }
  ]
}'*/

/*
$ch=curl_init();


$post = array(
    'bulk' => $array,
    'flash' => '0'
 );

$this->line($post);
//$this->line(" MSJ Enviados Satisfactoriamente! ". $cade25);

$url = "https://api103.hablame.co/api/sms/v3/send/marketing/bulk"; //endPoint: Primario
curl_setopt ($ch,CURLOPT_URL,$url) ;
curl_setopt ($ch,CURLOPT_POST,1);
curl_setopt ($ch,CURLOPT_POSTFIELDS, $post);
curl_setopt ($ch,CURLOPT_RETURNTRANSFER, true);
curl_setopt ($ch,CURLOPT_CONNECTTIMEOUT ,3);
curl_setopt ($ch,CURLOPT_TIMEOUT, 20);

curl_setopt($ch, CURLOPT_HTTPHEADER, array(
      'Content-Type: application/json',
      'account: 10018129',
      'apiKey: MgzB4z7wDBu9VecE87Wh1y3uJcVvGi',
      'token: cb96581553a78bce13b50f1322d4b1d5' )
  );


$response= curl_exec($ch);
curl_close($ch);
//$response= json_decode($response ,true) ;

$this->line($response);
//La respuesta estará alojada en la variable $response
*/

            $url = "https://api103.hablame.co/api/sms/v3/send/marketing/bulk"; //endPoint: Primario
            $data2 = array('bulk' => $array, 'flash' => '0', 'sendDate' => time(), "sc" =>  "899774");
            $curl = curl_init();
            //$this->line("2- {$compa_vivo->numero} ".json_encode($data2));      
            curl_setopt_array($curl, array(
              CURLOPT_URL => $url,
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => "",
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 30000,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => "POST",
              CURLOPT_POSTFIELDS => json_encode($data2),
              CURLOPT_HTTPHEADER => array(
                "account: 10018129",
                "apiKey: MgzB4z7wDBu9VecE87Wh1y3uJcVvGi",
                "token: cb96581553a78bce13b50f1322d4b1d5",                
                "content-type: application/json",
              ),
            ));

            $response = curl_exec($curl);
            $err = curl_error($curl);

            curl_close($curl);

            if ($err) {
              //echo "cURL Error #:" . $err;
              $this->line("cURL Error #:" . $err);  
              //$compa_vivo->error_pagina = "cURL Error #:" . $err;
              //$compa_vivo->save();
            } else {
              $dat = (string) $response;
              $this->line($dat); 
                         // $compa_vivo->error_pagina = $dat;
                         // $compa_vivo->save();
              $json = json_decode($dat, true);
              if ($json){
                if ($json['status'] == "1x000"){
                         $this->line("ok"); 
                          //$compa_vivo->error_pagina = "Carga Exitosa Pagina.";
                          //$compa_vivo->save();
                }
              }
            }

/*
if ($response["status"]== '1x000' ){
$c1= 'El SMS se ha enviado exitosamente con el ID: '.$response["smsId"];
  //  Session::put('alert_title', 'Registrado');
  //  Session::put('alert_type', 'success');
  //  Session::put('alert_message', $c1);
} else {
$c1= 'Ha ocurrido un error:'.$response["error_description"].'('.$response ["status" ]. ')';
   // Session::put('alert_title', 'Error');
    //Session::put('alert_type', 'error');
   // Session::put('alert_message', $c1);
}*/




   });

   }

}
