<?php

namespace App\Console\Commands\EspecialSanciones;

use Illuminate\Console\Command;
use Carbon\Carbon;
use App\Comparendo;
use App\ComparendoExpediente;
use App\ResolucionSimit;
use App\ComparendoNumeracionImpresion as Numeracion;
use App\ComparendoAudiencias;
use Illuminate\Support\Facades\DB;
use Barryvdh\DomPDF\Facade as PDF;
use LynX39\LaraPdfMerger\PdfManage;
use Illuminate\Support\Collection;
use App\Festivos;
use Maatwebsite\Excel\Facades\Excel;

class CantDocumentos extends Command
{
  /**
   * The name and signature of the console command.
   *
   * @var string
   * php artisan mandamiento:start 0 c new no
   */
  protected $signature = 'cantDocumento:start';
  protected $avisos = null;
  /**
   * The console command description.
   *
   * @var string
   */
  protected $description = 'Calcular cantidad Documentos';

  /**
   * Create a new command instance.
   *
   * @return void
   */
  public function __construct()
  {
      parent::__construct();
  }

  /**
   * Execute the console command.
   *
   * @return mixed
   */
  public function handle()
  {
    //para saber si tiene Saldo
    $total=0;
    $compa = Comparendo::where('pago_total', 'No')->orWhere('fecha_pago', null)->get();
    $total_compa = 0; //Comparendo::where('pago_total', 'No')->orWhere('fecha_pago', null)->count();
    foreach ($compa as $comp) {
      if($comp->tieneSaldo($comp->id) && $comp->infraccion_fecha<='2011-12-31')
      {
        $this->line(" {$comp->id} ");
        //$cont = ComparendoExpediente::where('id_comparendo', $comp->id)->count();
        //$total=$total+$cont;
		$total_compa=$total_compa+1;
      }
    }
$this->line("Total: {$total} ");
$this->line("Total Compa: {$total_compa} ");
    

  }
}
