<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Comparendo;
use App\ResolucionSimit;
use App\ComparendoSimit;
use App\ResolucionSimitError;
use App\ResolucionSimitErrorDetalle;
use App\RecaudoSimit;
use App\Transaccion;
use Carbon\Carbon;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\DB;

class RecaudosSimitCartera2 extends Command
{
  /**
   * The name and signature of the console command.
   *
   * @var string
   */

  protected $signature = 'validarcartera2';

  /**
   * The console command description.
   *
   * @var string
   */
  protected $description = 'Este comando aplica el recaudo local a los comparendo.';

  /**
   * Create a new command instance.
   *
   * @return void
   */
  public function __construct()
  {
      parent::__construct();
  }

  /**
   * Execute the console command.
   *
   * @return mixed
   */
  public function handle()
  {
 
        //$chunks = RecaudoSimit::where('fuente','externo')->where('procesado','0')->get()->chunk(100);
		$chunks = RecaudoSimit::where('fuente','local')->where('procesado','0')->get()->chunk(100);
        $c = 0;
        foreach($chunks as $vehiculos){
            foreach($vehiculos as $vehiculo){

                $c++;
                $this->line("{$c}. CONSULTANDO {$vehiculo->placa}");
                $this->line("============================================================");

 						$items=ResolucionSimit::where('COL2', $vehiculo->C10)->
						                        orwhere('COL2', $vehiculo->C12)->
												orwhere('COL2', $vehiculo->C16)->get();
						$compa=$vehiculo->C10;
						$compa1=$vehiculo->C12;
						$compa2=$vehiculo->C16;
						
                        foreach ($items as $item) {
                        	if($item->COL7!="NO REPORTADO")
                        	{
                        		$compa = $item->COL7;
                        	}
							//$item->recaudo_externo=$vehiculo->C9+$vehiculo->C9*1;
							$item->recaudo_local=$item->recaudo_local+$vehiculo->C9*1;
							$item->tipo_pago=$vehiculo->C13;
							$item->save(); 
                        }
						$vehiculo->procesado=2;
						
						$fi=$vehiculo->C2;
						$ano=substr($fi,6,4);
        				$mes=substr($fi,3,2);
        				$dia=substr($fi,0,2);
						$fecha=$ano."-".$mes."-".$dia;
						
 				$items=Comparendo::where('numero', $compa)->orwhere('numero', $compa1)->orwhere('numero', $compa2)->get();
                        foreach ($items as $item) {
							$vehiculo->procesado=1;

							
							if($vehiculo->C13=='1')
							{
							$item->recaudo_local=$item->recaudo_local+$vehiculo->C9*1;
							//$item->pagos=$item->pagos+$vehiculo->C9*1;
							$item->tipo_pago=$vehiculo->C13;
								//$item->fecha_pago=$fecha;
								$item->fecha_ultimo_pago=$fecha;
								//$item->pago_total='Si';
								if($item->valor_resolucion<=($item->pagos+10000))		
								{
									$item->pago_total='Si';
									$item->fecha_pago=$fecha;
								}								
							}
							
							if($vehiculo->C13=='3')
							{
							$item->recaudo_local=$item->recaudo_local+$vehiculo->C9*1;
							//$item->pagos=$item->pagos+$vehiculo->C9*1;
							$item->tipo_pago=$vehiculo->C13;
								//$item->fecha_pago=$fecha;
								$item->fecha_ultimo_pago=$fecha;
								//$item->pago_total='Si';	
								if($item->total_deuda<=$item->pagos)		
								{
									$item->pago_total='Si';
									$item->fecha_pago=$fecha;
								}

							}
							
							if($vehiculo->C13=='4')
							{
								$item->recaudo_local=$item->recaudo_local+$vehiculo->C9*1;
								//$item->pagos=$item->pagos+$vehiculo->C9*1;
							    $item->tipo_pago=$vehiculo->C13;
							    $item->fecha_ultimo_pago=$fecha;

								if($item->valor_resolucion<=($item->pagos+10000))		
								{
									$item->pago_total='Si';
									$item->fecha_pago=$fecha;
								}							    								
							}

							if($vehiculo->C13=='6')
							{
								$item->recaudo_local=$item->recaudo_local+$vehiculo->C9*1;
								$item->tipo_pago=$vehiculo->C13;
								$item->fecha_ultimo_pago=$fecha;
								//$item->pagos=$item->pagos+$vehiculo->C9*1;//habilitar para cuando sea un transito nuevo y se importe la data			
								if($item->total_deuda<=$item->pagos)		
								{
									$item->pago_total='Si';
									$item->fecha_pago=$fecha;
								}

							}

																					
							$item->save(); 
                        }						
						$vehiculo->save();               
   
			}
		}
					
  }//fin handle
  
  
  
}
