<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;
use App\PqrPagina;
use App\Pqr;
use App\Comparendo;
use App\Ciudadano;
use App\Transaccion;
use App\TransaccionPorAprobar;


class procesarCiudadano extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'procesar:ciudadano {comparendo}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Crear ciudadano a partir del comparendo';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $c = 0;


           $NumCompa = $this->argument('comparendo');
          $campara="like";
           if($NumCompa=="0")
           {
              $campara="<>";
           }


/*
            $comparendos=Comparendo::all();
            foreach($comparendos as $comparendo){
                $c++;

                if (Ciudadano::where('numero_documento', $comparendo->infractor_documento)->get() == '[]') {
                    $tpcedula = $comparendo->infractor_tipo_documento;

                    if ($tpcedula == '281') {
                        $tpcedula = "cc";
                    } else if ($tpcedula == '284') {
                        $tpcedula = "nit";
                    }

                    $ciudadano = new Ciudadano();
                    $ciudadano->nombre = $comparendo->infractor_nombre. " " . $comparendo->infractor_apellido;
                    $ciudadano->tipo_documento = $tpcedula;
                    $ciudadano->numero_documento = $comparendo->infractor_documento;
                    //$ciudadano->ciudad_residencia = $comparendo->infractor_ciudad;
                    $ciudadano->direccion_residencia = $comparendo->infractor_direccion;
                    $ciudadano->telefono_celular = $comparendo->infractor_telefono;
                    $ciudadano->id_organismo = '1';


                    $ciudadano->save();
                   
                    $this->line("Ciudadano Creado:". $comparendo->infractor_nombre. " " . $comparendo->infractor_apellido); 
                }

            }//for
*/

            $movimientos=Transaccion::all();
            foreach($movimientos as $movimiento){
                $c++;

               
                $this->line("Compa:". $movimiento->id_resolucion_pago); 


                if ( $movimiento->etiqueta=="pago-comparendo") {

                    $factura = json_decode($movimiento->factura, true);
                    $this->line("Ciudadano:". $factura['ciudadano']); 
                    /*$tpcedula = $comparendo->infractor_tipo_documento;

                    if ($tpcedula == '281') {
                        $tpcedula = "cc";
                    } else if ($tpcedula == '284') {
                        $tpcedula = "nit";
                    }*/

                     $comparendosTmp = $factura['comparendos'];
                     $comparen = $comparendosTmp[0];

                     $compars = Comparendo::where('numero', $movimiento->id_resolucion_pago)->get();
                     $sw=1;
                     foreach($compars as $com){
                        if($com->id!=$comparen)
                        {
                            $com->id=$comparen;
                            $com->save();
                        }
                        $sw=0;
                        
                     }

                     /*
                     $compars = Comparendo::whereIn('id', $comparendosTmp)->get();
                     $sw=1;
                     foreach($compars as $com){
                        $sw=0;
                     }*/
                    
                    if($sw==1)
                    {
                    $ultimaApertura = TransaccionPorAprobar::where('id_transaccion', $movimiento->id)->first();

                    $compa = new Comparendo();
                    $compa->numero = $movimiento->id_resolucion_pago;
                    $compa->valor = $movimiento->valor;
                    $compa->infraccion_fecha = $ultimaApertura->fecha_descarga;
                    $compa->infractor_documento = $factura['ciudadano'];
                    //$compa->infractor_nombre = "-";
                    //$compa->infractor_apellido = "-";
                    $compa->id = $comparen;
                    $compa->estado = 1;
                    //$compa->ciudad_residencia = $comparendo->infractor_ciudad;
                    //$compa->direccion_residencia = $comparendo->infractor_direccion;
                    //$compa->telefono_celular = $comparendo->infractor_telefono;
                    //$compa->id_organismo = '1';


                    $compa->save();
                   
                    $this->line("Compa Creado:". $movimiento->id_resolucion_pago); 
                    } 
                }

            }//for



    }
}
