<?php

namespace App\Exports;

use App\ComparendoVivo;
use App\EmpresaPlaca;
use App\Bitacora;
use App\Tipo;
use App\Empresas;
use App\Organismo;
use App\User;
use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Carbon\Carbon;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithTitle;

class Bitacora2Export implements FromView, ShouldAutoSize //, WithStyles, WithTitle
{

    private $data;

    public function __construct($data)
    {
        $this->data = $data;
    }
/*
    public function styles(Worksheet $sheet)
    {
        $sheet->getStyle('B1')->getFont()->setBold(true);
        //$sheet->getStyle('A2')->getFont()->setBold(true);
return [
            // Style the first row as bold text.
            1    => ['font' => ['bold' => true]],

            // Styling a specific cell by coordinate.
            'B1' => ['font' => ['italic' => true]],

            // Styling an entire column.
            'C'  => ['font' => ['size' => 16]],
        ];

    }

public function title(): string
{
    return Carbon::createFromFormat('Y-m-d', "2022-10-01");
}*/

    public function styles3(Worksheet $sheet)
    {
    /*$afterMenuTitleColumns = $this->excelColumns[2+count($this->mealTypes)+3].'1:'.$this->excelColumns[78].'1';

    $rowsDistribution = $this->getRowsDistribution();
    $titlesRows = $rowsDistribution['titles_rows'];
    $normalRows = $rowsDistribution['normal_rows'];
    $totalsRows = $rowsDistribution['totals_rows'];

    $rowsToBeBold = array_merge($titlesRows, $totalsRows);*/

    $styles = [
      // first row main heading styling
      'B1' => [
        'font' => [
            'size' => 16,
            'bold' => true
        ],
        'alignment' => [
            'textRotation' => 0
        ]
      ]
    ];
    return $styles;
    }

    public function view(): View
    {


    $comparendoId = $this->data ; //$this->argument('id_comparendo');
    $this->rutaImagenTop = base_path() . '/public/images/logosimit.png';
    $this->rutaImagenTop2 = base_path() . '/public/images/logofederacion.png';
    $this->rutaFirma =  base_path() . '/public/images/firma2.png';

    $rutaExpediente = \Config::get('myconfig.ruta_comparendo_expediente');

    $organismo = \App\Organismo::first();
    $this->organismoDireccion = $organismo->direccion . ' ' . $organismo->ciudad->nombre . ' - ' . $organismo->ciudad->departamento->nombre;
    $this->organismoNombreSecreteria = $organismo->secretaria_nombre;

    $this->meses = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio',
                   'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');

    $convertidorNumerosALetras = new \NumberToLetterConverter();
    $resoluciones = null;

    /*$ultimaNumeracion = 0;
    $numeracion = Numeracion::select(DB::raw("max(final) as final"))->where('id_tipo_evento', '35')->first();

    if($numeracion != null){
      $ultimaNumeracion = $numeracion->final;
    }
    $inicioNumeracion = $ultimaNumeracion + 1;
    $arrayExcelNP = [];
    
*/
    $arrayCopiaNP = [];
    $citacionesEntregadas = Bitacora::where('id', $comparendoId)->get();
    $fechaInicio = Carbon::now();
    foreach ($citacionesEntregadas as $cite) {

                $fechaPublicacionLetras = $fechaInicio->day . ' de ' . $this->meses[$fechaInicio->month - 1] . ' de ' . $fechaInicio->year;
                $numeroNotificacion = 'B-' . $comparendoId . '-' . $fechaInicio->year;

                $tiposol = Tipo::where('id', '=', $cite->tp_doc)->first();

        return view('comparendos.coactivo.bitacora.pdf3', [
                                        'organismoDireccion' => $this->organismoDireccion,
                                        'rutaImagenTop' => $this->rutaImagenTop,
                                        'rutaImagenTop2' => $this->rutaImagenTop2,
                                        'numeroOficio' => $numeroNotificacion,
                                        'fechaImpresion' => $fechaPublicacionLetras,
                                        'nombreInfractor' => $cite->nombre. " ". $cite->apellido,
                                        'numeroMandamiento' => "manda",
                                        'fechaMandamiento' => "20022",
                                        'direccionInfractor' => "dir",
                                        'compa' => $cite->comparendo,
                                        'docu' => $cite->cedula,
                                        'tiposolicitud' => $tiposol->nombre,
                                        'ubicacion' => $organismo->municipio,
                                        'descripcion' => $cite->descripcion,
                                        'rutaFirma' => $this->rutaFirma,
                                        'secretarioNombre' => $organismo->secretario_nombre,
                                        'organismoNombreSecreteria' => $this->organismoNombreSecreteria,
                                      ]);

    }

    }

}
