<?php

namespace App\Http\Middleware;

use Illuminate\Foundation\Http\Middleware\VerifyCsrfToken as Middleware;

class VerifyCsrfToken extends Middleware
{
    /**
     * Indicates whether the XSRF-TOKEN cookie should be set on the response.
     *
     * @var bool
     */
    protected $addHttpCookie = true;

    /**
     * The URIs that should be excluded from CSRF verification.
     *
     * @var array
     */
    protected $except = [

        'copi/upload-documentstercero',
        'copi/upload-documentsterceromega',
        'copi/upload-documentsterceromemphis',
        'copi/upload-documentstercerogenfar',

        'copi/download-documents',
        'copi/download-documentsmega',
        'copi/download-documentsmemphis',
        'copi/download-documentsgenfar',

        'copi/downloadinv-documents',
        'copi/downloadinvmega-documents',
        'copi/downloadinvmemphis-documents',
        'copi/downloadinvgenfar-documents',

        'copi/upload-documents',
        'copi/upload-documentsmega',
        'copi/upload-documentsmemphis',
        'copi/upload-documentsgenfar'

    ];
}
