<?php

namespace App\Imports;

use App\Alumno;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Maatwebsite\Excel\Concerns\WithValidation;

//use App\Models\PhoneCaseRecord;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Illuminate\Support\Facades\Session;
use Carbon\Carbon;
//class AlumnosImport implements ToModel, WithHeadingRow//, WithValidation
class AlumnosImport implements ToCollection
{
    private $numRows;
    protected $delTitle;    


    public function __construct($delTitle = 1)
    {
        $this->delTitle = $delTitle;
    }

    public function collection(Collection $rows)
    {
        // Eliminar el encabezado
        $this->delTitle($rows);
        // Insertar operación de base de datos
        $this->addRecords($rows);
    }    


    // Eliminar líneas inútiles
    public function delTitle (&$rows) {
        $rows = $rows->slice($this->delTitle)->values();
    }
    
    // Suma el número de registros
    public function addRecords($rows) {
        foreach ($rows as $row)
        {
            $aData = $row->toArray();
            // excel a menudo lee muchas filas vacías. Si no juzgas, importará muchos registros vacíos. Según tu propia lógica, puedes juzgar que se permite insertar datos que no estén vacíos;
            if (! empty($aData) && ! empty($aData[0]) && ! empty($aData[1])) {
              /*  PhoneCaseRecord::create([
                    'case_title' => $aData[0],
                    'medlive_id' => $aData[1],
                    'reviewer' => $aData[2],
                    'review_status' => $aData[3],
                    'no_pass_reason' => $aData[4],
                    'submit_at' => $aData[5],
                ]);*/



             $array = [];
            //$compa_vivo->error_pagina = "Cargando a la pagina ...".$compa_vivo->numero;
            //$compa_vivo->save();
            //$this->line("Cargando reconocer ..."); 
            //envio de codigo de verificacion de desembargo
            array_push($array, (object) array(
              'cedula' => $aData[1],
              'nombre' => $aData[6],
              'telefono1' => $aData[69],
              'telefono2' => $aData[71],              
              'email1' => $aData[68],
              'email2' => $aData[70],
              'direccion1' => $aData[42],   
              'direccion2' => $aData[52],
              'origen' => '1',
              'tipopqr' => '0',   
              'fecha' => Carbon::now()->format('Y-m-d'),
              'ciudad1' => $aData[14],
              'ciudad2' => $aData[22],
              'transito' => env('TRANSITO')
            ));
          
            //$this->line("Paso1");           
          if(count($array) > 0){
            $data2 = array('data' => $array);
            //$this->line("Paso2".json_encode($data2)); 
            $curl = curl_init();
            //$this->line("2- {$compa_vivo->numero} ".json_encode($data2));      
            curl_setopt_array($curl, array(
CURLOPT_URL => "http://104.237.150.61/notificacionesweb/public/api/uploadReconocer",
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => "",
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 30000,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => "POST",
              CURLOPT_POSTFIELDS => json_encode($data2),
              CURLOPT_HTTPHEADER => array(
                "accept: */*",
                "accept-language: en-US,en;q=0.8",
                "content-type: application/json",
              ),
            ));

            $response = curl_exec($curl);
            $err = curl_error($curl);

            curl_close($curl);

            if ($err) {
              //echo "cURL Error #:" . $err;
              //$this->line("cURL Error #:" . $err);  
              //$pqr->reconocer = 2;
              //$pqr->save();
            } else {
              $dat = (string) $response;
              //$this->line($dat); 
                          //$pqr->reconocer= 3;
                          //$pqr->save();
              $json = json_decode($dat, true);
              if ($json){
                if ($json['access'] == "ok"){
                        // $this->line("ok"); 
                          //$pqr->reconocer = 1;
                          //$pqr->save();
                }
              }
            }
          }

        //$this->line("Reconocer:". $pqr->id);   







                Session::put('success', 'Datos Cargados Satisfactoriamente. ');
            }
        }
    }

}
