<?php namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ofertasnph extends Model
{
 
    protected $connection = 'mysql';

	public $table = "ofertasnphs";

	public $primaryKey = "id";
    
	public $timestamps = true;

	public $fillable = [
	    "ID_OFERTA_NPH",
		"NUMERO_PREDIAL_ANTIGUO",
		"NUMERO_PREDIAL_NUEVO",
		"CODIGO_HOMOLOGADO",
		"MATRICULA_INMOBILIARIA",
		"TIPO_OFERTA",
		"DEPARTAMENTO",
		"MUNICIPIO",
		"NOMBRE_BARRIO",
		"ESTRATO",
		"DIRECCION",
		"VALOR_ARRIENDO",
		"VALOR_DE_LA_OFERTA",
		"PORCENTAJE_DE_NEGOCIACION",
		"VALOR_OFERTA_NEGOCIADO",
		"ANIO_CONSTRUCCION",
		"AREA_TERRENO",
		"AREA_CONSTRUCCION",
		"VR_M2_CONST",
		"VR_M2_TERRENO",
		"OBSERVACIONES",
		"LATITUD",
		"LONGITUD",
		"CONSERVACION",
		"FECHA_CAPTURA_OFERTA",
		"TIEMPO_OFERTA_MERCADO",
		"NUMERO_CONTACTO_OFERENTE",
		"NOMBRE_OFERENTE",
		"AVALUO_CATASTRAL",
		"DESTINACION_ECONOMICA",
		"DERECHO_TIPO",
		"TIPO_TIPOLOGIA"
	];

	public static $rules = [
	    
	];

}
