<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class Mixedcase implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        $upperValidation = preg_match_all('/[a-z]/', $value);
        $lowerValidation = preg_match_all('/[A-Z]/', $value);

        return ($upperValidation && $lowerValidation);

    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Su nueva contraseña debe contener una combinación de Mayúsculas y Minúsculas';
    }
}
