<?php
namespace App\helpers;

use App\Juzgados;
use App\PqrsJuzgados;
use App\TpDocumento;

class PQRHelper
{

    static public function seEnviaJuridicaOfiscal($id)
    {
        $tpdoc = TpDocumento::find($id);

        if($tpdoc){
            if($tpdoc->enviar_juzgado == 1 && $tpdoc->ventutela == 1){
                return true;
            }
        }

        return false;
    }

    static public function getEmailJuzgadoByPqrId($id)
    {
        $pqrsjuzgado = PqrsJuzgados::where('id_pqrs', $id)->first();

        if($pqrsjuzgado){
            $juzgado = Juzgados::find($pqrsjuzgado->id_juzgado);
            
            if($juzgado) {
                return $juzgado->email;
            }
        }

        return null;
    }


}