<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateofertasnphsTable extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ofertasnphs', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('ID_OFERTA_NPH');
			$table->string('NUMERO_PREDIAL_ANTIGUO');
			$table->string('NUMERO_PREDIAL_NUEVO');
			$table->string('CODIGO_HOMOLOGADO');
			$table->string('MATRICULA_INMOBILIARIA');
			$table->string('TIPO_OFERTA');
			$table->string('DEPARTAMENTO');
			$table->string('MUNICIPIO');
			$table->string('NOMBRE_BARRIO');
			$table->string('ESTRATO');
			$table->string('DIRECCION');
			$table->string('VALOR_ARRIENDO');
			$table->string('VALOR_DE_LA_OFERTA');
			$table->string('PORCENTAJE _DE_NEGOCIACION');
			$table->string('VALOR_OFERTA_NEGOCIADO');
			$table->string('ANIO_CONSTRUCCION');
			$table->string('AREA_TERRENO');
			$table->string('AREA_CONSTRUCCION');
			$table->string('VR_M2_CONST');
			$table->string('VR_M2_TERRENO');
			$table->string('OBSERVACIONES');
			$table->string('LATITUD');
			$table->string('LONGITUD');
			$table->string('CONSERVACION');
			$table->string('FECHA_CAPTURA_OFERTA');
			$table->string('TIEMPO_OFERTA_MERCADO');
			$table->string('NUMERO_CONTACTO_OFERENTE');
			$table->string('NOMBRE_OFERENTE');
			$table->string('AVALUO_CATASTRAL');
			$table->string('DESTINACION_ECONOMICA');
			$table->string('DERECHO_TIPO');
			$table->string('TIPO_TIPOLOGIA');
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ofertasnphs');
	}

}
