$('input[name="confirmation"]').on('blur', function(){
    let newPassword = $('input[name="pass_ingresada"]').val();

    if(this.value !== newPassword){
        if($('#smallAviso').length === 0){
            $(this).addClass('border-danger')
            $(this).after(
                $('<small>',{
                    "class": "form-text text-muted",
                    "id": "smallAviso"
                }).text('Los campos de contraseña no coinciden')
            );
        }
    }else{
        if($(this).hasClass('border-danger')){
            $(this).removeClass('border-danger')
            if($('#smallAviso').length > 0){
                $('#smallAviso').remove();
            }
        } 
    }

});

$('#switchTowFa').on('click', function(){
    const xhr = new XMLHttpRequest();
    xhr.open('POST', $(this).data('route'));
    xhr.setRequestHeader('X-CSRF-Token', $(this).data('token'));

    const formData = new FormData();

    if($(this).is(':checked')){
        $('.twofa').show();

        formData.append('factor', 1);
        xhr.send(formData);
    }else{
        $('.twofa').hide();

        formData.append('factor', 0);
        xhr.send(formData);
    }
});