<?php
    $organismo = App\Organismo::first();
?>
<center>
	<h4>
		{{$numeroGenerado}}
		<br>
		({{$fechaGenerado}})
	</h4>
  <br>
  "POR MEDIO DEL CUAL SE ORDENA LA APROPIACION DE DINEROS DEPOSITADOS EN LA CUENTA DE DEPOSITOS JUDICIALES Y OTRAS."
	<p>
		El suscrito Secretario de Tránsito y Transporte Municipal de {{$municipio}}, en uso de sus facultades legales y específicamente las conferidas en la ley 769 de 2002, Ley 1066 de 2006 y
	</p>
</center>
<br>
<center>
<h4 style="align:center;">
CONSIDERANDO
</h4>
</center>
<p align="justify">
  Que, la autoridad de Tránsito y Transporte del Municipio de {{$municipio}}, ordenó por vía de jurisdicción coactiva, mediante resolución de {!!$textoResoluciones!!}
</p>
<p align="justify">
Que, dentro del proceso administrativo de cobro coactivo, se ordeno seguir adelante con la ejecución según {!!$textoResolSentencia!!}
</p>
<p align="justify">
Que, dentro del proceso administrativo de cobro coactivo, se realizo la correspondiente liquidación incluyendo los gastos de cobranza y sistematización, {!!$textoResolLiquidacion!!}
</p>

@if ($esAcumulacionProcesos)
	<p align="justify">
		Que, en procura del principio de economia procesal se realizo la acumulacion de los procesos administrativos de cobro coactivo a traves de la resolucion <b>{{$resAcumulacion}}</b> de fecha <b>{{$fechaActual}}</b>
	</p>
@endif

<p align="justify">
Que, en la cuenta especial de depósitos judiciales {{$depositojudicial}} – Unidad de Depósitos Judiciales que corresponde al municipio de {{$municipio}}, aparece el {!!$textoTitulos!!}
</p>
<p align="justify">
	@if ($esApropiacionAcuerdo)}
		Que, el acuerdo de pago se encuentra en mora y en ejecución a la manifestación de voluntad del señor(a) <b>{{$nombreInfractor}}</b> identificado(a) con C.C/NIT No <b>{{$identificacionInfractor}}</b>, quien el día {{$fechaActual}}, presento solicitud VERBAL ante este despacho por medio de la cual solicita la apropiación de los títulos judiciales, hasta cubrir el valor del saldo {!!$textoValorLiquidacion!!} se encuentran a disposición de este despacho y depositados en la cuenta especial de depósitos judiciales {{$depositojudicial}}.
	@else
		Que, el saldo se encuentra insoluto, por lo que se hace procedente la apropiación de los títulos judiciales, hasta cubrir el saldo {!!$textoValorLiquidacion!!} títulos judiciales que se encuentran a disposición de este despacho y depositados en la cuenta especial de depósitos judiciales {{$depositojudicial}}.
	@endif
</p>

<p align="justify">
Que, la alcaldía municipal suscribió convenio con la sociedad de economía EMPRESA DE TRANSITO Y TRANSPORTE DE {{$municipio}} SAS, identificada con el NIT.  {{$organismo->nit}} que dentro de sus obligaciones esta la del recaudo de los recursos de las sanciones por concepto de infracciones de tránsito y derechos de tránsito en virtud de lo establecido en el convenio Nº {{$organismo->convenio_numero}}  y la alcaldía municipal tiene dentro de sus obligaciones girar los recursos que por embargo o depósitos judiciales se logren por la actividad desarrollada.
</p>

<p align="justify">
Por lo anterior este despacho,
</p>

<center>
<h4>
RESUELVE
</h4>
</center>
<p align="justify">
<b>ARTÍCULO PRIMERO. ORDENAR</b> APROPIAR Y PAGAR el (los) título(s) judicial(es) {!!$textoTitulos!!} constituido(s) a nombre del Señor(a) <b>{{$nombreInfractor}}</b>  identificado(a) C.C/NIT No. <b>{{$identificacionInfractor}}</b>, a favor de la EMPRESA DE TRANSITO Y TRANSPORTE DE {{strtoupper($municipio)}} SAS NIT. {{$organismo->nit}}, en virtud de lo establecido en el convenio {{$organismo->convenio_numero}}.
</p>

@if ($liberarMedidasCautelares)
	<p align="justify">
	<b>ARTÍCULO SEGUNDO:</b> Levantar las medidas cautelares dentro del presente proceso de cobro coactivo, líbrense los oficios de rigor.
	</p>

	<p align="justify">
	<b>ARTÍCULO TERCERO:</b> Contra esta resolución no procede recurso.
	</p>

	<p align="justify">
	<b>ARTÍCULO CUARTO:</b> Una vez vencido los términos, la presente resolución queda ejecutoriada.
	</p>
@else
	<p align="justify">
	<b>ARTÍCULO SEGUNDO:</b> Contra esta resolución no procede recurso.
	</p>

	<p align="justify">
	<b>ARTÍCULO TERCERO:</b> Una vez vencido los términos, la presente resolución queda ejecutoriada.
	</p>
@endif


<br>
<center><h4>NOTIFÍQUESE Y CÚMPLASE</h4></center>
<br>
<div style="text-align: center;">
  <img style="max-width: 150px; height: auto;" src="{{$rutaFirma}}">
  <br>
  {{$secretarioNombre}}
  <br>
  <b>{{$organismoNombreSecreteria}}</b>
</div>

<?php
if($organismo->codigo=="68655000")
{
  ?>
<div class="footer">
  <table style="width: 100%;">
    <tr>
      <td>
           <img style="max-width: 600px; height: auto;" src="{{ asset('images/cuadro.png' ) }}"><br>
      </td>
    </tr>
    <tr>
      <td>
           <img style="max-width: 600px; height: auto;" src="{{ asset('images/piemembretesabana.jpg' ) }}"><br>
      </td>
    </tr>    
  </table>
</div>
<?php
   }
?>

