<form  id="form" action="{{route('parametros.actualizarJuzgados')}}" method="POST">
    {{csrf_field()}}
    <div class="form-group">
        <label for="exampleInputEmail1">Nombre</label>
        <input type="hidden" class="form-control" id="id_modal" name="id_modal"  value="{{ $id }}">
        <input type="text" class="form-control" id="nombre_modal" name="nombre_modal" aria-describedby="nombre" placeholder="Insertar nombre" value="{{ $nombre }}"required>
        <small id="nombreHelp" class="form-text text-muted">Nombre que llevará la nueva área</small>
    </div>
    <br>
    <div class="form-group">
        <label>Departamento</label>
        <select id="departamento_juzgado_modal" name="departamento_juzgado_modal" data-url="{{url('/')}}/getciudad/" class="departamento_juzgado_modal form-control" required>
            <option value="">-- Seleccionar --</option>
            @if(!empty($departamento))
               @foreach($departamentos as $dpto)
                  <option value="{{$dpto->id}}" @if ($departamento->nombre == $dpto->nombre) selected @endif>{{$dpto->nombre}}</option> 
               @endforeach            
            @else
                @foreach($departamentos as $dpto)
                    <option value="{{$dpto->id}}">{{$dpto->nombre}}</option>
                @endforeach
            @endif

        </select>
    </div>
    <br>
    <div class="form-group">
        <label>Ciudad / Municipio</label>
        <select id="ciudad_juzgado_modal" name="ciudad_juzgado_modal" class="ciudad_juzgado_modal form-control " required>
            @if(!empty($ciudad))
             <option value="{{$ciudad->id}}" selected >{{$ciudad->nombre}}</option>
            @endif
        </select>
    </div>
    <br>
    <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar <i class="fa fa-times-circle" aria-hidden="true"></i></button>
        <button type="submit" class="btn btn-primary">Guardar <i class="fa fa-plus-circle" aria-hidden="true"></i></button>
    </div>
</form>