<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Screen Correo</title>

  <link rel="stylesheet" href="{{asset('assets/vendors/iconfonts/mdi/css/materialdesignicons.min.css')}}">
  <link rel="stylesheet" href="{{asset('assets/vendors/iconfonts/puse-icons-feather/feather.css')}}">
  <link rel="stylesheet" href="{{asset('assets/vendors/css/vendor.bundle.base.css')}}">
  <link rel="stylesheet" href="{{asset('assets/vendors/css/vendor.bundle.addons.css')}}">

  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="{{asset('assets/css/shared/style.css')}}">
  <link rel="stylesheet" href="{{asset('assets/css/customstyle.css')}}">
  <link rel="stylesheet" href="{{asset('assets/css/all.min.css')}}">
  <!-- endinject -->
  <!-- Layout styles -->
  <link rel="stylesheet" href="{{asset('assets/css/demo_1/style.css')}}">
  <!-- End Layout styles -->
  <link rel="shortcut icon" href="{{asset('assets/images/favicon.png')}}" />
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
  <style>
    html{
        min-height: 100%;
    }

    body{
        min-height: 100vh;
        background-color: white;
        width: 100%;
        padding: 10px;
    }

    .contenedor {
        position: relative;
        text-align: center;
    }

    .centrado {
        position: absolute;
        top: 50%;
        left: 55%;
        transform: translate(-50%, -50%);
    }
  </style>
</head>
<body>
    <div class="row">
        <div class="col-sm-12">
            <img style="width:100%;" src="{{asset('assets/images/imgcorreo3.png')}}">
        </div>
    </div>
    <p style="font-weight:bold;">{{$asunto}}</p>
    <div class="row">
        <div class="col-sm-0">
            <img src="{{asset('assets/images/imgcorreo.png')}}">
        </div>
        <div class="col-sm-11">
            <label style="margin-bottom:-4px;"><?php echo \Config::get('myconfig.url_correo');?></label><br>
            <span style="font-size:12px;color:gray;">{{$fecha_enviado}}</span>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-0">
            <img src="{{asset('assets/images/imgcorreo5.png')}}">
        </div>
        <div class="col-sm-11">
            <label style="margin-bottom:-4px;">"{{$nombre}}" {{"<".$email.">"}}</label>
        </div>
    </div>
    @if(count($array_correos) > 0)
        <?php $cont = 1; ?>
        <div class="row">
            <div class="col-sm-0">
                <img src="{{asset('assets/images/imgcorreo7.png')}}">
            </div>
            <div class="col-sm-11" style="margin-left:7px;">
                @foreach($array_correos as $arr)
                    @if($cont == count($array_correos))
                        <label style="margin-bottom:-4px;">"{{$arr->nombre}}" {{"<".$arr->correo.">"}}</label>
                    @else
                        <label style="margin-bottom:-4px;">"{{$arr->nombre}}" {{"<".$arr->correo.">"}}</label>,
                    @endif
                    
                    <?php $cont++; ?>
                @endforeach
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-sm-12">
            <img src="{{asset('assets/images/imgcorreo2.png')}}">
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div>
                <?php echo $mensajeCorreo; ?>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        @foreach($adjuntos as $adj)
            <div class="col-sm-3 contenedor">
                <img style="width: 80%;" src="{{asset('assets/images/imgcorreo6.png')}}">
                <div class="centrado">
                    @if(strlen($adj->nombre) > 15)
                        {{substr($adj->nombre, 0, 14)."...".substr($adj->nombre, -4)}}
                    @else
                        {{$adj->nombre}}
                    @endif
                </div>
            </div>
        @endforeach
    </div>
    <div class="row">
        <div class="col-sm-12">
            <img style="width:100%;" src="{{asset('assets/images/imgcorreo4.png')}}">
        </div>
    </div>
</body>
</html>