@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Carga Bitacoras']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.cargabitacoras')
    ])
@endsection
@section('content')

    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }

    </style>

    <div class="row">
        <div class="col-md-12 grid-margin">
<?php
$fi=Input::get('fecha_inicial') ;
    //$fi=Carbon\Carbon::now()->format('Y-m-d') ;
    /*if(Input::has('fecha_inicial'))
     {
       $fi=Input::get('fecha_inicial') ;
       //$fi=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } 
    $ff=Carbon\Carbon::now()->format('Y-m-d') ;
    if(Input::has('fecha_final'))
     {
       $ff=Input::get('fecha_final') ;
       //$fi=substr($fi,9,2)."-".substr($fi,6,2)."-".substr($fi,1,4);
     } */
?>





    <div class="card">
        <div class="card-body">
                <form class="ui form" method="GET" action="{{ route('reporte.cargabitacoras') }}">
                    {{csrf_field()}}
                <div class="row">

                    <div class="col-md-3">
                        <label>
                            DOCUMENTO/COMPARENDO
                        </label>

                               <input type="text" class="form-control" 
                                name="fecha_inicial"
                                id="fecha_inicial" value="{{ $fi }}" required>
                    </div>

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">CONSULTAR</button>
                    </div>
                 </div>   
                </form>
            </div>


        </div>

        @if(!$movimientos->isEmpty())

<div class="row">
 <div class="col-md-12 grid-margin">
 <div class="card">
 <div class="card-body text-right">


</div></div></div></div>


<div class="row">
 <div class="col-md-12 grid-margin">
 <div class="card">
 <div class="card-body">

<div class="row">


            <div class="spacer"></div>
            <div class="spacer"></div>

<div class="row table-responsive">
            

            <div class="flex flex-alineado-centro flex-justificado-espaciado-entre">
                <div class="resumen caja-reporte">
                    <h3>Comparendos Encontrados</h3>
                </div>
            </div>

            <div class="spacer"></div>
            <div class="spacer"></div>

            <table class="table table-hover">
                <thead>
                    <tr>
                        <th>Fecha</th>
                        <th>Comparendo</th>
                        <th>Identificacion</th>
                        <th>Nombre</th> 
                        <th>Placa</th>                    
                        <th>Infraccion</th>
                        <th>Valor</th>
             
                        <th></th>
                    </tr>
                </thead>
                <tbody>

<?php
$t_1=0;$t_2=0;$t_3=0;$t_4=0;$t_5=0;$t_6=0;$t_a=0;$t_b=0;$t_c=0;$t_d=0;
?>

                    @foreach($movimientos as $movimiento)
  

                            <tr>
                                <td >
                                        {{ $movimiento->infraccion_fecha }}
                                </td>

                                <td>{{ $movimiento->numero }}

                                </td>
<td >{{ $movimiento->infractor_documento }}</td>

<td >{{ $movimiento->infractor_nombre }} {{ $movimiento->infractor_apellido }}</td>

<td >{{ $movimiento->vehiculo_placa }}</td>

<td >{{ $movimiento->infracciones }}</td>

<td >{{ $movimiento->valor }}</td>

                                

<td >
    
                <form class="ui form" method="GET" action="{{ route('reporte.ingresarbitacoras') }}">
                    {{csrf_field()}}
                <div class="row">

                               <input type="hidden" class="form-control" 
                                name="idcomparendo"
                                id="idcomparendo" value="{{ $movimiento->id }}" >

                    <div class="col-md-2">
                        <button class="btn btn-outline-success">Bitacora</button>
                    </div>
                 </div>   
                </form>

</td>

                            </tr>

                         
                    @endforeach
                
                

                </tbody>
            </table>


            
     </div></div>

      </div> </div> </div> </div>



        @else
            @if(Input::has('fecha_inicial'))
            <div class="no-data">
                <div class="no-data-icon">
                    <i class="fa fa-exclamation-triangle"></i>
                </div>

                <div class="no-data-message">
                    No se encontraron registros para este rango de fechas.
                </div>
            </div>
            @endif
        @endif

    </div>


</div>
    

@endsection
