@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'Reporte Cartera']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.carteramorosa')
    ])
@endsection
@section('content')

    <style>
        table tbody tr td, table thead tr th {
            font-size: 11px !important;
            padding-right: 0px !important;
        }

        form {
            padding: 0 !important;
        }

        .table th, .table td {
            padding: 10 !important;
        }

    </style>

    <div class="row">
        <div class="col-md-12 grid-margin">


    <div id="center">
        <div class="filters print-multi">

            <div>
                @if(!$movimientos->isEmpty())
                <button class="ui basic button print">
                    <i class="fa fa-print"></i>
                    IMPRIMIR
                </button>
                @endif
            </div>
        </div>
        <div class="spacer"></div>
        <div class="spacer"></div>

        
            <div class="encabezado solo-imprimir">
                <div class="print-multi" style="align-items: center;">


                    <div class="titulo-reporte">
                        <h1 style="font-weight: 700; font-size: 2em;">Reporte Cartera</h1>
                    </div>
                </div>

                <div class="spacer"></div>
                <div class="spacer"></div>
            </div>

            <table class="table">
                <thead>
                    <tr>
                        <th>Vigencia</th>
					    <th>Val Compa</th>
                        <th>Val Resol</th>
                        <th>Intereses</th>
                        <th>Honorarios</th>
                        <th>Sistematizacion</th>
                        <th>Descu Interes</th>
                        <th>Descu Compa</th>
                        <th>Pagos</th>
                        <th>Deuda</th>
                    </tr>
                                               
                </thead>
                <tbody>
					
 <?php
$t_1=0;$t_2=0;$t_3=0;$t_4=0;$t_5=0;$t_6=0;$t_7=0;$t_8=0;$t_9=0;
?>    

                      			  <?php
		                            $compa = App\ComparendoVivo::where('ano','>','2007')
									->select(
                					DB::raw('sum(total_deuda) as `total`'),
                                    DB::raw('sum(valor) as `valor`'),
                                    DB::raw('sum(valor_resolucion) as `valor_resolucion`'),
                                    DB::raw('sum(intereses) as `intereses`'),
                                    DB::raw('sum(honorarios) as `honorarios`'),
                                    DB::raw('sum(sistematizacion) as `sistematizacion`'),
                                    DB::raw('sum(campana*intereses/100) as `descucampa1`'),
                                    DB::raw('sum(campana2*valor/100) as `descucampa2`'),
                                    DB::raw('sum(pagos) as `pagos`'),
                					DB::raw("ano"))
                					->groupby('ano')->get();
			
									//$tra=$tramite->id_tramite;
									foreach($compa as $comparendo)
										    { 
$t_1=$t_1+$comparendo->valor;
$t_2=$t_2+$comparendo->valor_resolucion;
$t_3=$t_3+$comparendo->intereses;
$t_4=$t_4+$comparendo->honorarios;
$t_5=$t_5+$comparendo->sistematizacion;
$t_6=$t_6+$comparendo->descucampa1;
$t_7=$t_7+$comparendo->descucampa2;
$t_8=$t_8+$comparendo->pagos;
$t_9=$t_9+$comparendo->total;
                                                ?>
                                                <tr>
                                                    <th>{{ $comparendo->ano }}</th>

                                                     <th style="text-align: right;"><p style="font-size: 0.8em;">
                                                {{ number_format($comparendo->valor, 0, '.', '.') }}</p></th>
                                                 <th style="text-align: right;"><p style="font-size: 0.8em;">
                                                {{ number_format($comparendo->valor_resolucion, 0, '.', '.') }}</p></th>
                                                 <th style="text-align: right;"><p style="font-size: 0.8em;">
                                                {{ number_format($comparendo->intereses, 0, '.', '.') }}</p></th>
                                                 <th style="text-align: right;"><p style="font-size: 0.8em;">
                                                {{ number_format($comparendo->honorarios, 0, '.', '.') }}</p></th>
                                                <th style="text-align: right;"><p style="font-size: 0.8em;">
                                                {{ number_format($comparendo->sistematizacion, 0, '.', '.') }}</p></th>
                                                 <th style="text-align: right;"><p style="font-size: 0.8em;">
                                        {{ number_format($comparendo->descucampa1, 0, '.', '.') }}</p></th>
                                        <th style="text-align: right;"><p style="font-size: 0.8em;">
                                        {{ number_format($comparendo->descucampa2, 0, '.', '.') }}</p></th>
                                        <th style="text-align: right;"><p style="font-size: 0.8em;">
                                        {{ number_format($comparendo->pagos, 0, '.', '.') }}</p></th>
												    <th style="text-align: right;"><p style="font-size: 0.8em;">
                                                {{ number_format($comparendo->total, 0, '.', '.') }}</p></th>

                                            </tr>
                                                <?php
											}
								?>                        




                    <tr  style="background-color: #EDE5E4;">
                        <td >Total</td>
                        <td style="text-align: right;">${{ number_format($t_1, 0, '.', '.') }}</td>

                        <td style="text-align: right;">${{ number_format($t_2, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_3, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_4, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_5, 0, '.', '.') }}</td>   

                        <td style="text-align: right;">${{ number_format($t_6, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_7, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_8, 0, '.', '.') }}</td>
                        <td style="text-align: right;">${{ number_format($t_9, 0, '.', '.') }}</td>
                    </tr>
                     
                        


                </tbody>
                <tfoot>

                </tfoot>
            </table>

                        <form class="ui form" method="GET" action="{{ route('reportes.carteramorosadetalle') }}">
                            <td>
                                <button class="ui button primary">Ver Informe Detalle</button>
                                <input type="hidden" name="tipo_detalle" value="1">   
                                <input type="hidden" name="ano" value="2020">                            
                            </td>
                        </form>


            <div class="pie solo-imprimir">
                <table class="data bottom">
                    <tr>
                        <td style="text-align: center;" align="center">
                            <table cellpadding="0" cellspacing="0">
                                <tr>
                                    <td>
				<br><br>			
			
                            {{ mb_strtoupper(Auth::user()->organismo->direccion) }} <br>
                            {{ mb_strtoupper(Auth::user()->organismo->telefonos) }} <br>
                            {{ mb_strtoupper(Auth::user()->organismo->sitio_web) }} <br>
                            {{ mb_strtoupper(Auth::user()->organismo->email) }}  
                                    </td>
                                </tr>
                            </table>
                        </td>

                    </tr>
                </table>
                <p style="text-align: center;">Reporte genenerado por Xiltrion
                    el {{ \Carbon\Carbon::now()->format('Y-m-d') }} a las {{ \Carbon\Carbon::now()->format('H:i') }}</p>
            </div>
       

    </div>

    </div>


</div>


@endsection
