@extends('layouts.app')
@section('breadcrumbs')
    @include('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Home'],
            ['route' => '', 'name' => 'PQR'],
            ['route' => '', 'name' => 'Ingresar Bitacora']
        ],
        'show_add_button' => false,
        'add_button_route' => route('reporte.ingresarbitacoras')
    ])
@endsection
@section('content')



    <div class="row">
        <div class="col-md-12 grid-margin">
            <div class="card">
                <div class="card-body">
                    <center><h4>INGRESAR BITACORA</h4></center>


                    
                    <br><br>
                    <form id="form" method="post" action="{{route('reportes.guardarbitacora')}}"
                          enctype="multipart/form-data" name="form">
                        {{csrf_field()}}
     


      @foreach($movimientos as $movimiento)

                        <input type="hidden" class="form-control" 
                                name="idcomparendo"
                                id="idcomparendo" value="{{ $movimiento->id }}" >


                        <div class="row">
                            <div class="col-md-1"></div>

                            <div class="col-md-3">
                                <label>Tipo Solicitud</label>
                                <select class="form-control" required name="tpdoc" >
                                    <option value="">Seleccione</option>
                                    @foreach($documentos as $doc)
                                        <option value="{{$doc->id}}" <?php if($id==$doc->id) { ?>  selected <?php } ?>  >{{$doc->nombre}}</option>
                                    @endforeach
                                </select>
                            </div>


                        </div>

                        <br>
                        <div class="row">
                            <div class="col-md-1"></div>


                           <div class="col-md-3">
                                <label>Numero Comparendo:</label>
                                   <input  class="form-control" required name="numero" id="numero"
                                   value="{{ $movimiento->numero }}">
                            </div>

                           <div class="col-md-3">
                                <label>Fecha Infraccion:</label>
                                   <input type="date" class="form-control" required 
                                   name="fecha_infraccion" id="fecha_infraccion" 
                                   value="{{ $movimiento->infraccion_fecha }}">
                            </div>

                           <div class="col-md-3">
                                <label>Placa:</label>
                                   <input class="form-control" required name="placa" id="placa"
                                   value="{{ $movimiento->vehiculo_placa }}">
                            </div>

                        </div>

                        <br>
                        <div class="row">
                            <div class="col-md-1"></div>
                            <div class="col-md-3">
                                <label>Identificacion</label>
                                <input class="form-control" required name="cedula" id="cedula"
                                value="{{ $movimiento->infractor_documento }}">
                            </div>
                            <div class="col-md-3">
                                <label>Nombre</label>
                                <input class="form-control" required name="nombre" id="nombre"
                                value="{{ $movimiento->infractor_nombre }}">
                            </div>
                            <div class="col-md-3">
                                <label>Apellido</label>
                                <input class="form-control" required name="apellido" id="apellido"
                                value="{{ $movimiento->infractor_apellido }}">
                            </div>
     
                          
                        </div>


                     
                        <br>
                        <div class="row">
                            <div class="col-md-1"></div>
                            <div class="col-md-3">
                                <label>Tipo Infraccion</label>
                                <input type="text" class="form-control"  name="tipo_infraccion" id="tipo_infraccion"
                                value="{{ $movimiento->infracciones }}">
                            </div>
                            <div class="col-md-3">
                                <label>Dirigido a:</label>
                                <select class="form-control" required name="dirigido">
                                    <option value="">Seleccione</option>
                                    <option value="Simit">Simit</option>
                                    <option value="Sevial">Sevial</option>
                                </select>
                            </div>

                        </div>


                        <br>
                        <div class="row">
                            <div class="col-md-1"></div>

                            <div class="col-md-3">
                                <label>Modificar Campo 1:</label>
                                <select class="form-control" name="combo1">
                                    <option value="">Seleccione</option>
                                    <option value="numero">Numero Comparendo</option>
                                    <option value="identificacion">identificacion Infractor</option>
                                    <option value="nombre">Nombre Infractor</option>
                                    <option value="apellido">Apellido Infractor</option>
                                    <option value="infracciones">Infraccion</option>
                                    <option value="placa">Placa</option>
                                    <option value="fecha">Fecha AAAA-MM-DD</option>
                                </select>
                                 <input type="text" class="form-control"  name="campo1" id="campo1">
                            </div>

                            <div class="col-md-3">
                                <label>Modificar Campo 2:</label>
                                <select class="form-control" name="combo2">
                                    <option value="">Seleccione</option>
                                    <option value="numero">Numero Comparendo</option>
                                    <option value="identificacion">identificacion Infractor</option>
                                    <option value="nombre">Nombre Infractor</option>
                                    <option value="apellido">Apellido Infractor</option>
                                    <option value="infracciones">Infraccion</option>
                                    <option value="placa">Placa</option>
                                    <option value="fecha">Fecha AAAA-MM-DD</option>
                                </select>
                                 <input type="text" class="form-control"  name="campo2" id="campo2">
                            </div>

                            <div class="col-md-3">
                                <label>Modificar Campo 3:</label>
                                <select class="form-control" name="combo3">
                                    <option value="">Seleccione</option>
                                    <option value="numero">Numero Comparendo</option>
                                    <option value="identificacion">identificacion Infractor</option>
                                    <option value="nombre">Nombre Infractor</option>
                                    <option value="apellido">Apellido Infractor</option>
                                    <option value="infracciones">Infraccion</option>
                                    <option value="placa">Placa</option>
                                    <option value="fecha">Fecha AAAA-MM-DD</option>
                                </select>
                                 <input type="text" class="form-control"  name="campo3" id="campo3">
                            </div>

                        </div>


                        <br>
                        <div class="row">
                            <div class="col-md-1"></div>

                            <div class="col-md-3">
                                <label>Modificar Tipo Identificacion:</label>
                                <select class="form-control"  name="combo4">
                                    <option value="">Seleccione</option>
                                    @foreach($documentos2 as $doc2)
                                        <option value="{{$doc2->id}}"   >{{$doc2->nombre}}</option>
                                    @endforeach
                                </select>
                                
                            </div>

                        </div>


                        <br>
                        <div class="row">
                            <div class="col-md-1"></div>
                            <div class="col-md-6">
                                <label>Descripcion</label>
                                <textarea class="form-control"  name="descripcion" id="descripcion"
                                  rows="3"></textarea>
                            </div>
                            <div class="col-md-3">
                                <label><br><br><br></label>
                                <input type="submit" class="btn btn-outline-success"  id="botonguardar" 
                                 name="botonguardar" value="Guardar" >                   
                            </div>

                        </div>

 @endforeach
                    </form>


                </div>
            </div>
        </div>
    </div>
@endsection
